<?php
/**
 * French Language file for PhpGedView.
 *
 * PhpGedView: Genealogy Viewer
 * Copyright (C) 2002 to 2008  PGV Development Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @package PhpGedView
 * @subpackage Languages
 * @version $Id: configure_help.fr.php 2573 2008-02-18 18:42:15Z canajun2eh $
 */

if (stristr($_SERVER["SCRIPT_NAME"], basename(__FILE__))!==false) {
	header("HTTP/1.0 403 Forbidden" );
	exit;
}

$pgv_lang["new_gedcom_title"]           = "Généalogie de [#GEDCOMFILE#]";
#pgv_lang["keep_media_help"]            = "~#pgv_lang[keep_media]#~<br /><br />Should existing media links be retained in the database when a replacement GEDCOM is being uploaded. The <b>No</b> option removes existing media links from the database, while the <b>Yes</b> option keeps them.<br /><br />This option is useful when you export your GEDCOM from PhpGedView to an off-line GEDCOM maintenance program that does not handle embedded media pointers properly, and then subsequently re-import that changed GEDCOM into PhpGedView.  Under such circumstances, the media pointers within the GEDCOM you exported to your off-line editing program are destroyed, and you would have to re-link all of your media files to the proper Person, Family, and Source records after you re-import the GEDCOM into PhpGedView.<br /><br />The <b>Yes</b> option tells PhpGedView to keep the existing media links so that you do not have to re-create them after you import the changed GEDCOM, but this requires the off-line editing program to always produce the same Person, Family, and Source identification numbers.<br /><br /><i>Family Tree Maker</i> is one of several off-line editing programs that does <u>not</u> properly handle media object pointers within the GEDCOM.  <i>Legacy</i>, among many others, <u>does</u> handle these properly.<br /><br />";
$pgv_lang["USE_MEDIA_VIEWER"]           = "Utiliser le viseur de multimédias";
#pgv_lang["USE_MEDIA_VIEWER_help"]      = "~#pgv_lang[USE_MEDIA_VIEWER]#~<br /><br />When this option is <b>#pgv_lang[yes]#</b>, clicking on images will produce the Media Viewer page.  This page shows the details of the image.  If you have sufficient rights, you can also edit these details.<br /><br />When this option is <b>#pgv_lang[no]#</b>, clicking on images will produce a full-size image in a new window.<br /><br />";
$pgv_lang["USE_MEDIA_FIREWALL"]         = "Utiliser le pare-feu multimédia";
#pgv_lang["USE_MEDIA_FIREWALL_help"]    = "~#pgv_lang[USE_MEDIA_FIREWALL]#~<br /><br />See the Wiki for a description of how to use the Media Firewall. <a href=\"http://wiki.phpgedview.net/en/index.php/Media_Firewall\" target=\"_blank\">http://wiki.phpgedview.net/en/index.php/Media_Firewall</a><br /><br />";
$pgv_lang["MEDIA_FIREWALL_ROOTDIR"]     = "Répertoire racine du pare-feu multimédia";
#pgv_lang["MEDIA_FIREWALL_ROOTDIR_help"]= "~#pgv_lang[MEDIA_FIREWALL_ROOTDIR]#~<br /><br />Directory in which the protected Media directory can be created.  #pgv_lang[MEDIA_FIREWALL_ROOTDIR_note]#<br /><br />";
#pgv_lang["MEDIA_FIREWALL_ROOTDIR_note"]= "When this field is empty, the <b>#GLOBALS[INDEX_DIRECTORY]#</b> directory will be used.";
$pgv_lang["MEDIA_FIREWALL_THUMBS"]      = "Protéger les vignettes des images protégées";
#pgv_lang["MEDIA_FIREWALL_THUMBS_help"] = "~#pgv_lang[MEDIA_FIREWALL_THUMBS]#~<br /><br />When an image is in the protected Media directory, should its thumbnail be protected as well?<br /><br />";
$pgv_lang["SHOW_SPIDER_TAGLINE"]        = "Montrer un indicatif du moteur de recherche";
#pgv_lang["SHOW_SPIDER_TAGLINE_help"]   = "~#pgv_lang[SHOW_SPIDER_TAGLINE]#~<br /><br />On pages generated for search engines, display as the last line the particular search engine the page detected.  If this option is on, it can bias Google AdSense towards search engine optimization tools.<br />";
#pgv_lang["SHOW_PRIVATE_RELATIONSHIPS_help"]= "~#pgv_lang[SHOW_PRIVATE_RELATIONSHIPS]#~<br /><br />This option will retain family links in privatized records.  This means that you will see empty \"private\" boxes on the pedigree chart and on other charts with private people.<br /><br />This is similar to the behavior of PhpGedView versions prior to v4.0.<br /><br />This setting is off by default.  It is recommended instead of turning this on, to point your pedigree root person in your GEDCOM configuration, to a person who is not private.<br />";
#pgv_lang["SHOW_PRIVATE_RELATIONSHIPS"] = "Show private relationships";
#pgv_lang["SYNC_GEDCOM_FILE_help"]      = "~#pgv_lang[SYNC_GEDCOM_FILE]#~<br /><br />In past versions of PhpGedView the pending edits were stored in the GEDCOM file and the changed records were then \"accepted\" into the database.  Starting with v4.1 pending changes are no longer stored in the GEDCOM file but in the changes file.  <br /><br />Setting this value to true will update the GEDCOM file when changes are accepted into the database.  This will keep the GEDCOM file synchronized with the database.  For greater compatibility with previous versions the default value of this field is on.<br /><br />You may want to turn it off to conserve memory when accepting changes.<br />";
$pgv_lang["SYNC_GEDCOM_FILE"]           = "Synchroniser le fichier GEDCOM avec les modifications dans la base de données";
#pgv_lang["COMMIT_COMMAND_help"]        = "~#pgv_lang[COMMIT_COMMAND]#~<br /><br />If you wish to use a version control system such as CVS to archive changes to your GEDCOM file and your configuration or privacy settings, enter the command here.  Leave the box blank if you do not wish to use a version control system.  Valid options are <b>cvs</b> and <b>svn</b>.<br />";
#pgv_lang["COMMIT_COMMAND"]             = "Version Control Commit Command";
#pgv_lang["SHOW_MULTISITE_SEARCH_help"] = "~#pgv_lang[SHOW_MULTISITE_SEARCH]#~<br /><br />Multi-site search allows users to search across multiple PhpGedView websites which you have setup in the Manage Sites administration area or remotely linked to.  This option controls whether the Multi-site Search feature is available to everyone or only to authenticated users.<br />";
$pgv_lang["SHOW_MULTISITE_SEARCH"]      = "Montrer la recherche dans des sites multiples";
$pgv_lang["SHOW_NO_WATERMARK"]          = "Qui peut voir les images sans filigrane ?";
#pgv_lang["SHOW_NO_WATERMARK_help"]     = "~#pgv_lang[SHOW_NO_WATERMARK]#~<br /><br />If the Media Firewall is enabled, users will see watermarks if they do not have the privilege level specified here.<br />";
$pgv_lang["WATERMARK_THUMB"]            = "Ajouter des filigranes aux vignettes ?";
#pgv_lang["WATERMARK_THUMB_help"]       = "~#pgv_lang[WATERMARK_THUMB]#~<br /><br />If the Media Firewall is enabled, should thumbnails be watermarked? Your media lists will load faster if you don't watermark the thumbnails.<br />";
$pgv_lang["SAVE_WATERMARK_THUMB"]       = "Stocker les vignettes filigranées au serveur ?";
#pgv_lang["SAVE_WATERMARK_THUMB_help"]  = "~#pgv_lang[SAVE_WATERMARK_THUMB]#~<br /><br />If the Media Firewall is enabled, should copies of watermarked thumbnails be stored on the server in addition to the same thumbnails without watermarks?<br /><br />When set to <b>#pgv_lang[yes]#</b>, media lists containing watermarked thumbnails will be produced more quickly at the expense of higher server disk space requirements.<br />";
$pgv_lang["SAVE_WATERMARK_IMAGE"]       = "Stocker les grands images filigranées au serveur ?";
#pgv_lang["SAVE_WATERMARK_IMAGE_help"]  = "~#pgv_lang[SAVE_WATERMARK_IMAGE]#~<br /><br />If the Media Firewall is enabled, should copies of watermarked full size images be stored on the server in addition to the same images without watermarks?<br /><br />When set to <b>#pgv_lang[yes]#</b>, full-sized watermarked images will be produced more quickly at the expense of higher server disk space requirements.<br />";
$pgv_lang["DBPERSIST"]                  = "Utiliser des connexions à la base de données permanentes";
#pgv_lang["DBPERSIST_help"]             = "Controls whether PhpGedView should use persistent database connections when dealing with the database.<br /><br />When set to <b>Yes</b>, PhpGedView can re-use database connections thereby speeding up the establishing of database accesses.  However, this could cause errors if your host configuration has the maximum connections value set too low.  If you are unsure of your host's support of persistent connections, you should set this value to <b>No</b>.<br />";
$pgv_lang["INDI_FACTS_ADD"]             = "Événements ajoutables pour un individu";
$pgv_lang["INDI_FACTS_ADD_help"]        = "~#pgv_lang[INDI_FACTS_ADD]#~<br /><br />Liste des codes GEDCOM pour les événements qu'il sera possible d'ajouter à une fiche individu.  Vous pouvez librement ajouter ou supprimer des codes à cette liste, à l'exception de ceux figurant dans la liste <i>#pgv_lang[INDI_FACTS_UNIQUE]#</i>.<br />";
$pgv_lang["INDI_FACTS_UNIQUE"]          = "Événements uniques pour un individu";
#pgv_lang["INDI_FACTS_UNIQUE_help"]     = "~#pgv_lang[INDI_FACTS_UNIQUE]#~<br /><br />This is the list of GEDCOM facts that your users can only add <u>once</u> to individuals.  For example, if BIRT is in this list, users will not be able to add more than one BIRT record to an individual.  Fact names that appear in this list must not also appear in the <i>#pgv_lang[INDI_FACTS_ADD]#</i> list.<br />";
$pgv_lang["INDI_FACTS_QUICK"]           = "Événements «1-clic» pour un individu";
#pgv_lang["INDI_FACTS_QUICK_help"]      = "~#pgv_lang[INDI_FACTS_QUICK]#~<br /><br />This is the short list of GEDCOM individual facts that appears next to the full list and can be added with a single click.<br />";
$pgv_lang["FAM_FACTS_ADD"]              = "Événements ajoutables pour une famille";
#pgv_lang["FAM_FACTS_ADD_help"]         = "~#pgv_lang[FAM_FACTS_ADD]#~<br /><br />This is the list of GEDCOM facts that your users can add to families.  You can modify this list by removing or adding fact names, even custom ones, as necessary.  Fact names that appear in this list must not also appear in the <i>#pgv_lang[FAM_FACTS_UNIQUE]#</i> list.<br />";
$pgv_lang["FAM_FACTS_UNIQUE"]           = "Événements uniques pour une famille";
#pgv_lang["FAM_FACTS_UNIQUE_help"]      = "~#pgv_lang[FAM_FACTS_UNIQUE]#~<br /><br />This is the list of GEDCOM facts that your users can only add <u>once</u> to families.  For example, if MARR is in this list, users will not be able to add more than one MARR record to a family.  Fact names that appear in this list must not also appear in the <i>#pgv_lang[FAM_FACTS_ADD]#</i> list.<br />";
$pgv_lang["FAM_FACTS_QUICK"]            = "Événements «1-clic» pour une famille";
#pgv_lang["FAM_FACTS_QUICK_help"]       = "~#pgv_lang[FAM_FACTS_QUICK]#~<br /><br />This is the short list of GEDCOM family facts that appears next to the full list and can be added with a single click.<br />";
$pgv_lang["SOUR_FACTS_ADD"]             = "Événements ajoutables pour une source";
#pgv_lang["SOUR_FACTS_ADD_help"]        = "~#pgv_lang[SOUR_FACTS_ADD]#~<br /><br />This is the list of GEDCOM facts that your users can add to sources.  You can modify this list by removing or adding fact names, even custom ones, as necessary.  Fact names that appear in this list must not also appear in the <i>#pgv_lang[SOUR_FACTS_UNIQUE]#</i> list.<br />";
$pgv_lang["SOUR_FACTS_UNIQUE"]          = "Événements uniques pour une source";
#pgv_lang["SOUR_FACTS_UNIQUE_help"]     = "~#pgv_lang[SOUR_FACTS_UNIQUE]#~<br /><br />This is the list of GEDCOM facts that your users can only add <u>once</u> to sources.  For example, if TITL is in this list, users will not be able to add more than one TITL record to a source.  Fact names that appear in this list must not also appear in the <i>#pgv_lang[SOUR_FACTS_ADD]#</i> list.<br />";
$pgv_lang["SOUR_FACTS_QUICK"]           = "Événements «1-clic» pour une source";
#pgv_lang["SOUR_FACTS_QUICK_help"]      = "~#pgv_lang[SOUR_FACTS_QUICK]#~<br /><br />This is the short list of GEDCOM source facts that appears next to the full list and can be added with a single click.<br />";
$pgv_lang["REPO_FACTS_ADD"]             = "Événements ajoutables pour un dépôt d'archives";
#pgv_lang["REPO_FACTS_ADD_help"]        = "~#pgv_lang[REPO_FACTS_ADD]#~<br /><br />This is the list of GEDCOM facts that your users can add to repositories.  You can modify this list by removing or adding fact names, even custom ones, as necessary.  Fact names that appear in this list must not also appear in the <i>#pgv_lang[REPO_FACTS_UNIQUE]#</i> list.<br />";
$pgv_lang["REPO_FACTS_UNIQUE"]          = "Événements uniques pour un dépôt d'archives";
#pgv_lang["REPO_FACTS_UNIQUE_help"]     = "~#pgv_lang[REPO_FACTS_UNIQUE]#~<br /><br />This is the list of GEDCOM facts that your users can only add <u>once</u> to repositories.  For example, if NAME is in this list, users will not be able to add more than one NAME record to a repository.  Fact names that appear in this list must not also appear in the <i>#pgv_lang[REPO_FACTS_ADD]#</i> list.<br />";
$pgv_lang["REPO_FACTS_QUICK"]           = "Événements «1-clic» pour un dépôt d'archives";
#pgv_lang["REPO_FACTS_QUICK_help"]      = "~#pgv_lang[REPO_FACTS_QUICK]#~<br /><br />This is the short list of GEDCOM repository facts that appears next to the full list and can be added with a single click.<br />";
#pgv_lang["LANG_SELECTION_help"]        = "~#pgv_lang[LANG_SELECTION]#~<br /><br />You can change the list of languages supported by your PhpGedView site by adding or removing checkmarks as appropriate.  This changes the language choices available to your users.<br /><br />You can achieve the same thing through the <b>#pgv_lang[enable_disable_lang]#</b> link on the #pgv_lang[admin]# menu, where you can also change things such as the language's flag icon, the date format, or whether the surname should always be printed first.<br />";
$pgv_lang["MEDIA_ID_PREFIX"]            = "Préfixe MultiMédia";
#pgv_lang["MEDIA_ID_PREFIX_help"]       = "~#pgv_lang[MEDIA_ID_PREFIX]#~<br /><br />When a new media record is added online in PhpGedView, a new ID for that media will be generated automatically. The media ID will have this prefix.<br />";
$pgv_lang["FAM_ID_PREFIX"]              = "Préfixe Famille";
#pgv_lang["FAM_ID_PREFIX_help"]         = "~#pgv_lang[FAM_ID_PREFIX]#~<br /><br />When a new family record is added online in PhpGedView, a new ID for that family will be generated automatically. The family ID will have this prefix.<br />";
$pgv_lang["QUICK_REQUIRED_FAMFACTS"]    = "Événements Famille à toujours afficher en mode <i>Mise à jour rapide</i>";
#pgv_lang["QUICK_REQUIRED_FAMFACTS_help"]= "~#pgv_lang[QUICK_REQUIRED_FAMFACTS]#~<br /><br />This is a comma separated list of GEDCOM fact tags that will always be shown on the Family tabs of the Mise à jour rapide form whether or not they already exist in the individual's record.  For example, if MARR is in the list, then fields for marriage date and marriage place will always be shown on the form.<br />";
$pgv_lang["QUICK_ADD_FAMFACTS"]         = "Événements Famille à ajouter en mode <i>Mise à jour rapide</i>";
#pgv_lang["QUICK_ADD_FAMFACTS_help"]    = "~#pgv_lang[QUICK_ADD_FAMFACTS]#~<br /><br />This is a comma separated list of GEDCOM fact tags that will be shown on the Family tabs of the Mise à jour rapide form.  Only the facts in this list will be shown on the form or made available for selection in the area where you add new facts on the form.<br />";
$pgv_lang["QUICK_REQUIRED_FACTS"]       = "Événements à toujours afficher en mode <i>Mise à jour rapide</i>";
#pgv_lang["QUICK_REQUIRED_FACTS_help"]  = "~#pgv_lang[QUICK_REQUIRED_FACTS]#~<br /><br />This is a comma separated list of GEDCOM fact tags that will always be shown on the Mise à jour rapide form whether or not they already exist in the individual's record.  For example, if BIRT is in the list, fields for birth date and birth place will always be shown on the form.<br />";
$pgv_lang["QUICK_ADD_FACTS"]            = "Événements à ajouter en mode <i>Mise à jour rapide</i>";
#pgv_lang["QUICK_ADD_FACTS_help"]       = "~#pgv_lang[QUICK_ADD_FACTS]#~<br /><br />This is a comma separated list of GEDCOM fact tags that will be shown on the Mise à jour rapide form.  Only the facts in this list will be shown on the form or made available for selection in the area where you add new facts on the form.<br />";
#pgv_lang["SURNAME_TRADITION_help"]     = "~#pgv_lang[SURNAME_TRADITION]#~<br /><br />When you add new members to a family, PhpGedView can supply default values for surnames according to regional custom.<br /><br /><ul><li>In the <b>Paternal</b> tradition, all family members share the father's surname.</li><li>In the <b>Spanish</b> and <b>Portuguese</b> tradition, children receive a surname from each parent.</li><li>In the <b>Icelandic</b> tradition, children receive their male parent's given name as a surname, with a suffix that denotes gender.</li></ul><br />";
#pgv_lang["ADVANCED_NAME_FACTS_help"]   = "~#pgv_lang[ADVANCED_NAME_FACTS]#~<br /><br />This is a comma separated list of GEDCOM fact tags that will be shown on the add/edit name form.  If you use non-Latin alphabets such as Hebrew, Greek, Cyrillic or Arabic, you may want to add tags such as _HEB, ROMN, FONE, etc. to allow you to store names in several different alphabets.<br />";
#pgv_lang["ADVANCED_PLAC_FACTS_help"]   = "~#pgv_lang[ADVANCED_PLAC_FACTS]#~<br /><br />This is a comma separated list of GEDCOM fact tags that will be shown when you add or edit place names.  If you use non-Latin alphabets such as Hebrew, Greek, Cyrillic or Arabic, you may want to add tags such as _HEB, ROMN, FONE, etc. to allow you to store place names in several different alphabets.<br />";
$pgv_lang["AUTO_GENERATE_THUMBS"]       = "Créer automatiquement les vignettes";
#pgv_lang["AUTO_GENERATE_THUMBS_help"]  = "~#pgv_lang[AUTO_GENERATE_THUMBS]#~<br /><br />Should the system automatically generate thumbnails for images that do not have them.  Your PHP installation might not support this functionality.<br />";
#pgv_lang["phpinfo_help"]               = "~#pgv_lang[phpinfo]#~<br /><br />This page provides extensive information about the server on which PhpGedView is being hosted.  Many configuration details about the server's software, as it relates to PHP and PhpGedView, can be viewed.<br />";
#pgv_lang["config_help_help"]           = "~#pgv_lang[config_help]#~<br /><br />This page collects all of the major topics of Configuration Help into one place.  You can view the information on your screen, or you can print it for later use.<br />";
#pgv_lang["more_config_hjaelp"]         = "<br /><b>More help</b><br />More help is available by clicking the <b>?</b> next to items on the page.<br />";
$pgv_lang["THUMBNAIL_WIDTH"]            = "Largeur des vignettes";
#pgv_lang["THUMBNAIL_WIDTH_help"]       = "~#pgv_lang[THUMBNAIL_WIDTH]#~<br /><br />This is the width (in pixels) that the program will use when automatically generating thumbnails.  The default setting is 100.<br />";
$pgv_lang["SHOW_SOURCES"]               = "Montrer les sources ?";
$pgv_lang["SHOW_SOURCES_help"]          = "Option pour masquer les liens vers les sources sur toutes les pages si l'utilisateur n'a pas les droits suffisants.";
#pgv_lang["REQUIRE_ADMIN_AUTH_REGISTRATION_help"]= "~#pgv_lang[REQUIRE_ADMIN_AUTH_REGISTRATION]#~<br /><br />If the option <b>#pgv_lang[USE_REGISTRATION_MODULE]#</b> is enabled this setting controls whether the admin must approve the registration.<br /><br />Setting this to <b>Yes</b> will require that all new users first verify themselves and then be approved by an admin before they can login.  With this setting on <b>No</b>, the <b>#pgv_lang[verified_by_admin]#</b> checkbox will be checked automatically when users verify their account, thus allowing an immediate login afterwards without admin intervention.<br />";
$pgv_lang["SPLIT_PLACES"]               = "Découper les lieux";
$pgv_lang["SPLIT_PLACES_help"]          = "Option pour découper chaque lieu en mode saisie/modification, offrant ainsi une meilleure lisibilité. Exemple :<br /><ol><li>Mode par défaut<br /><u>Lieu</u> : Caen, Calvados (14), Basse-Normandie, FRA<br /><li>Mode découpe<br /><u>Pays</u> : FRA<br /><u>Région</u> : Basse-Normandie<br/><u>Département</u> : Calvados (14)<br/><u>Ville</u> : Caen</ol>";
#pgv_lang["ALLOW_REMEMBER_ME_help"]     = "~#pgv_lang[ALLOW_REMEMBER_ME]#~<br /><br />Many sites allow users to choose whether they want to be remembered from the same computer the next time they visit the site.  Enabling this option will put a <b>Remember Me</b> checkbox on the Login page.  When this checkbox is checked, PhpGedView has permission to store a cookie in the user's computer.  This cookie will allow PhpGedView to remember the user between visits from the same remote computer.<br />";
$pgv_lang["UNDERLINE_NAME_QUOTES"]      = "Souligner les noms entre guillemets (\")";
$pgv_lang["UNDERLINE_NAME_QUOTES_help"] = "~#pgv_lang[UNDERLINE_NAME_QUOTES]#~<br /><br />Beaucoup de logiciels généalogiques mettent le prénom préféré entre guillemets (\") dans le GEDCOM.  Un façon d'indiquer ces prénoms préférés est de les souligner.  Cette option sélectionnée à Oui convertit tous les noms entre guillements à &lt;span class=\"starredname\"&gt;.<br /><br />Par exemple, supposons que le nom dans la base de données soit 1&nbsp;NAME&nbsp;Gustave&nbsp;\"Jean&nbsp;Paul\"&nbsp;Charles&nbsp;/Wilson/ : cette option transforme les noms entre guillemets en &lt;span&nbsp;class=\"starredname\"&gt;Jean&nbsp;Paul&lt;/span&gt; .  Ensuite le navigateur peut afficher le nom comme <b>Gustave&nbsp;<span class=\"starredname\">Jean&nbsp;Paul</span>&nbsp;Charles&nbsp;Wilson</b> ou <b>Wilson,&nbsp;Gustave&nbsp;<span class=\"starredname\">Jean&nbsp;Paul</span> Charles</b> selon des autres options.<br />";
$pgv_lang["PRIVACY_BY_RESN"]            = "Utiliser le mode Restriction d'accès (RESN) de GEDCOM";
$pgv_lang["PRIVACY_BY_RESN_help"]       = "GEDCOM 5.5 permet de gérer les restrictions d'accès au moyen du marqueur RESN. En activant cette fonction, un contrôle sera effectué au niveau 1 pour chaque enregistrement de votre fichier GEDCOM. Le contrôle aux niveaux 2 et + est systématiquement réalisé et n'est pas affecté par cette valeur. Ce choix risque de ralentir certaines fonctions de PhpGedView comme la liste des individus.<br />";
$pgv_lang["SHOW_LDS_AT_GLANCE"]         = "Montrer les codes SDJ sur les diagrammes";
#pgv_lang["SHOW_LDS_AT_GLANCE_help"]    = "~#pgv_lang[SHOW_LDS_AT_GLANCE]#~<br /><br />Setting this option to <b>Yes</b> will show status codes for LDS ordinances in chart boxes.<ul><li><b>B</b> - Baptism</li><li><b>E</b> - Endowed</li><li><b>S</b> - Sealed to spouse</li><li><b>P</b> - Sealed to parents</li></ul>A person who has all of the ordinances done will have <b>BESP</b> printed after their name.  Missing ordinances are indicated by <b>_</b> in place of the corresponding letter code.  For example, <b>BE__</b> indicates missing <b>S</b> and <b>P</b> ordinances.<br />";
$pgv_lang["GEDCOM_DEFAULT_TAB"]         = "Onglet par défaut sur la fiche individuelle";
$pgv_lang["GEDCOM_DEFAULT_TAB_help"]    = "Option permettant de pré-sélectionner un onglet à l'affichage de la page Individu.<br />";
$pgv_lang["SHOW_MARRIED_NAMES"]         = "Montrer le nom des femmes mariées dans les listes";
#pgv_lang["SHOW_MARRIED_NAMES_help"]    = "~#pgv_lang[SHOW_MARRIED_NAMES]#~<br /><br />This option will show the married names of females on the Individual list.  This option requires that you calculate the married names when you import the GEDCOM file.<br />";
$pgv_lang["SHOW_QUICK_RESN"]            = "Restrictions d'accès en mode <i>Mise à jour rapide</i>";
$pgv_lang["SHOW_QUICK_RESN_help"]       = "Option pour ajouter les champs de restrictions d'accès dans le formulaire <i>Mise à jour rapide</i>.<br />";
$pgv_lang["USE_QUICK_UPDATE"]           = "Autoriser le mode <i>Mise à jour rapide</i>";
$pgv_lang["USE_QUICK_UPDATE_help"]      = "Option pour autoriser les utilisateurs connectés à soumettre des modifications à l'aide du formulaire de <i>Mise à jour rapide</i>.<br />";
$pgv_lang["SEARCHLOG_CREATE"]           = "Archivage journal des recherches";
$pgv_lang["SEARCHLOG_CREATE_help"]      = "Fréquence d'archivage des journaux.<br />p";
$pgv_lang["CHANGELOG_CREATE"]           = "Archivage journal des modifications";
#pgv_lang["CHANGELOG_CREATE_help"]      = "~#pgv_lang[CHANGELOG_CREATE]#~<br /><br />How often should the program archive Changelog files.<br />";
$pgv_lang["CHART_BOX_TAGS"]             = "Autres événements à afficher dans les tableaux";
$pgv_lang["CHART_BOX_TAGS_help"]        = "Liste de codes GEDCOM, séparés par une virgule ou un espace, pour forcer l'affichage de certains événements dans les tableaux (ascendance, descendance...).<br />Exemple : pour afficher systématiquement la profession, ajouter le code «OCCU» dans cette zone.<br />";


//-- CONFIGURE FILE MESSAGES
$pgv_lang["gedcom_conf"]                = "GEDCOM";
$pgv_lang["media_conf"]                 = "Objets MultiMédia";
$pgv_lang["media_general_conf"]         = "Général";
$pgv_lang["media_firewall_conf"]        = "Pare-feu MultiMédia";
$pgv_lang["accpriv_conf"]               = "Restrictions d'accès";
$pgv_lang["displ_conf"]                 = "Affichage";
$pgv_lang["displ_names_conf"]           = "Noms";
$pgv_lang["displ_comsurn_conf"]         = "Noms fréquents";
$pgv_lang["displ_layout_conf"]          = "Affichage";
$pgv_lang["displ_hide_conf"]            = "Cacher/Montrer";
$pgv_lang["editopt_conf"]               = "Édition";
$pgv_lang["useropt_conf"]               = "Utilisateurs";
$pgv_lang["contact_conf"]               = "Contact";
$pgv_lang["meta_conf"]                  = "Balises META";
$pgv_lang["gedconf_head"]               = "GEDCOM";
$pgv_lang["other_theme"]                = "ou entrer une autre valeur";
$pgv_lang["performing_update"]          = "Mise à jour en cours.";
$pgv_lang["config_file_read"]           = "Fichier de configuration lu.";
$pgv_lang["does_not_exist"]             = "n'existe pas";
$pgv_lang["media_drive_letter"]         = "NE PAS indiquer de lettre de lecteur (C:) dans le chemin Média. Les objets ne pourront pas être affichés.";
$pgv_lang["db_setup_bad"]               = "Mauvais fichier de configuration.  Veuillez vérifier vos paramètres de connexion à la base de données et recommencer la configuration.";
$pgv_lang["bad_host_user_pass"]         = "Echec de connexion à la base de données. Vérifier le nom du serveur, du compte utilisateur et le mot de passe.";
$pgv_lang["bad_database_name"]          = "La base de données a été trouvée, mais impossible d'y accéder. Vérifier les droits de l'utilisateur.";
$pgv_lang["db"]                         = "Database";
$pgv_lang["dbase"]                      = "dBase";
$pgv_lang["current_gedcoms"]            = "Liste des fichiers GEDCOM chargés";
$pgv_lang["ged_gedcom"]                 = "Fichier GEDCOM";
$pgv_lang["ged_title"]                  = "Titre du fichier GEDCOM";
$pgv_lang["ged_config"]                 = "Fichier de configuration";
$pgv_lang["ged_search"]                 = "Journal des recherches";
$pgv_lang["ged_change"]                 = "Journal des modifications";
$pgv_lang["ged_privacy"]                = "Fichier des restrictions d'accès";
$pgv_lang["disabled"]                   = "Désactivé";
$pgv_lang["mouseover"]                  = "Passage de souris";
$pgv_lang["mousedown"]                  = "Souris maintenue appuyée";
$pgv_lang["click"]                      = "Clic de souris";
$pgv_lang["enter_db_pass"]              = "Par sécurité, vous devez saisir votre <b>identificateur</b> et votre <b>mot de passe</b> avant toute modification.";
$pgv_lang["server_url_note"]            = "Chemin du répertoire PhpGedView. Ne modifier qu'avec précaution. Valeur par défaut pour votre installation : <tt>#GUESS_URL#</tt>";

$pgv_lang["DBTYPE"]                     = "Type de la base de données";
$pgv_lang["DBTYPE_help"]                = "Type PEAR (PHP Extension and Application Repository) pour connexion à la base de données. À choisir parmi : MySQL, PostgreSQL, Oracle, SQLite... <br />";
$pgv_lang["DBHOST"]                     = "Serveur de la base de données";
$pgv_lang["DBHOST_help"]                = "Adresse DNS ou IP du système qui héberge le serveur de votre base de données.<br />";
$pgv_lang["DBUSER"]                     = "Identificateur de connexion à la base de données";
$pgv_lang["DBUSER_help"]                = "Identificateur défini pour la connexion à la base de données.<br />";
$pgv_lang["DBPASS"]                     = "Mot de passe de la base de données";
$pgv_lang["DBPASS_help"]                = "Mot de passe d'accès à la base de données pour l'identificateur défini.<br />";
$pgv_lang["DBNAME"]                     = "Nom de la base de données";
$pgv_lang["DBNAME_help"]                = "Base de données du serveur qui sera utilisée par PhpGedView.  L'identificateur de connexion utilisé doit avoir les droits de création, d'insertion, de mise à jour, de suppression et de sélection sur cette base de données.<br />";
$pgv_lang["TBLPREFIX_help"]             = "Préfixe ajouté au nom des tables créées par PhpGedView.  En changeant cette valeur vous pouvez gérer plusieurs sites PhpGedView qui utilisent la même base de données mais avec des tables différentes.<br />";
$pgv_lang["ALLOW_CHANGE_GEDCOM_help"]   = "Permet aux visiteurs et aux utilisateurs de changer de fichier GEDCOM quand il en existent plusieurs sur le serveur.<br />";
$pgv_lang["upload_path"]                = "Chemin du fichier";
#pgv_lang["upload_path_help"]           = "~#pgv_lang[upload_path]#~<br /><br />This is the path where the GEDCOM file you wish to upload can be found. To select the path, click on <b>Browse</b> and navigate to your GEDCOM file and then click <b>Open</b>.";
$pgv_lang["gedcom_path"]                = "Chemin et nom du fichier GEDCOM";
$pgv_lang["gedcom_path_help"]           = "Téléchargez d'abord votre fichier GEDCOM dans un répertoire accessible par PHP sur le serveur. Entrez ensuite ici le chemin d'accès et le nom complet du fichier.<br />Exemple : ./index/name.ged.<br /><br />Voir le fichier <a href=readme.txt>Readme.txt</a> pour d'autres détails.";
$pgv_lang["CHARACTER_SET"]              = "Code du jeu de caractères";
$pgv_lang["CHARACTER_SET_help"]         = "Jeu de caractères utilisé dans votre fichier GEDCOM.  Le jeu de caractères UTF-8 est le jeu par défaut qui devrait fonctionner pratiquement pour tous les sites.  Si vous exportez vos données GEDCOM en utilisant le code IBM de Windows, codez ici la valeur WINDOWS.<br /><br />NOTE : PHP n'accepte pas le code UNICODE (UTF-16).";
$pgv_lang["LANGUAGE"]                   = "Langue";
$pgv_lang["LANGUAGE_help"]              = "Langue par défaut pour le site. Les utilisateurs peuvent modifier cette valeur en changeant les préférences de leur navigateur ou en utilisant le formulaire proposé sur la page si vous avez autorisé le changement de langue.";
$pgv_lang["ENABLE_MULTI_LANGUAGE"]      = "Autoriser le changement de langue";
$pgv_lang["ENABLE_MULTI_LANGUAGE_help"] = "Permet aux utilisateurs de sélectionner une autre langue et de choisir par défaut la langue qu'ils ont définie dans les options de leur navigateur.";
$pgv_lang["CALENDAR_FORMAT"]            = "Format du calendrier";
$pgv_lang["CALENDAR_FORMAT_help"]       = "Permet d'indiquer le <b>type de calendrier</b> que vous souhaitez utiliser avec ce fichier GEDCOM.  Le calendrier hébreu est le même que le calendrier israélite mais avec des caractères hébraïques.  Note : les dates du calendrier israélite/hébreu sont calculées à partir des dates du calendrier grégorien ou julien. Comme le jour israélite commence le soir, chaque événement qui a eu lieu entre le crépuscule et minuit sera noté avec un jour d'avance sur la date correcte. L'affichage des caractères hébraïques peut poser problème avec les anciens navigateurs. Certains navigateurs afficheront les caractères dans le mauvais sens ou ne les afficheront pas du tout.";
$pgv_lang["DISPLAY_JEWISH_THOUSANDS"]   = "Affichage des milliers des années hébraïques";
$pgv_lang["DISPLAY_JEWISH_THOUSANDS_help"]= "Affichage Alafim dans le calendrier hébreu. En codant «oui» l'année 1969 sera affichée : <span lang='he-IL' dir='rtl'>&#1492;'&#160;&#1514;&#1513;&#1499;\"&#1496;</span>&lrm; alors qu'en codant «non» elle sera affichée : <span lang='he-IL' dir='rtl'>&#1514;&#1513;&#1499;\"&#1496;</span>&lrm;. Cette valeur n'a pas d'impact sur le calcul de l'année. L'année sera 5729 quelle que soit la valeur de cette variable.<br />";
$pgv_lang["DISPLAY_JEWISH_GERESHAYIM"]  = "Affichage Gershayim";
$pgv_lang["DISPLAY_JEWISH_GERESHAYIM_help"]= "Afficher les simple et double quotes pour les dates hébraïques. En codant «oui» le 8 février 1969 sera affiché  <span lang='he-IL' dir='rtl'>&#1499;'&#160;&#1513;&#1489;&#1496;&#160;&#1514;&#1513;&#1499;\"&#1496;</span>&lrm; alors qu'en codant «non» il sera affiché <span lang='he-IL' dir='rtl'>&#1499;&#160;&#1513;&#1489;&#1496;&#160;&#1514;&#1513;&#1499;&#1496;</span>&lrm;. Sans impact sur la valeur de l'année juive car les quotes ne sont pas utilisées dans les dates avec les caractères Latin.<br />Note : ce paramétre est similaire aux constantes PHP 5.0 CAL_JEWISH_ADD_ALAFIM_GERESH et CAL_JEWISH_ADD_GERESHAYIM. Il affecte les deux valeurs.<br />";
$pgv_lang["JEWISH_ASHKENAZ_PRONUNCIATION"]= "Prononciation Ashkénaze";
$pgv_lang["JEWISH_ASHKENAZ_PRONUNCIATION_help"]= "Utiliser la prononciation Ashkénaze.<br />En codant «oui» les mois de Cheshvan et de Teves seront codés selon la prononciation Ashkénaze. En codant «non» ils seront codés Hesvan et Tevet.<br />Ceci n'affecte que le calendrier israélite. Avec le calendrier hébreu c'est l'alphabet hébreu qui sera utilisé.<br />";
$pgv_lang["USE_RTL_FUNCTIONS"]          = "Utiliser l'affichage RTL (de droite à gauche)";
#pgv_lang["USE_RTL_FUNCTIONS_help"]     = "~#pgv_lang[USE_RTL_FUNCTIONS]#~<br /><br />Use processing to properly display GEDCOM data in RTL languages.  If set to <b>Yes</b> the database will be processed at runtime to ensure proper display of RTL data; this setting can slow down performance.<br />";
$pgv_lang["DEFAULT_PEDIGREE_GENERATIONS"]= "Nombre de générations de l'arbre d'<b>ascendance</b>";
$pgv_lang["DEFAULT_PEDIGREE_GENERATIONS_help"]= "Indique le nombre de générations à afficher par défaut sur les arbres d'<b>ascendance</b>.";
$pgv_lang["MAX_PEDIGREE_GENERATIONS"]   = "Nombre maximum de générations de l'arbre d'<b>ascendance</b>";
$pgv_lang["MAX_PEDIGREE_GENERATIONS_help"]= "Fixe le nombre maximum de générations à afficher pour les arbres d'<b>ascendance</b>.";
$pgv_lang["MAX_DESCENDANCY_GENERATIONS"]= "Nombre maximum de générations de l'arbre de <b>descendance</b>";
$pgv_lang["MAX_DESCENDANCY_GENERATIONS_help"]= "Fixe le nombre maximun de générations à afficher pour les arbres de <b>descendance</b>.";
$pgv_lang["USE_RIN"]                    = "Utiliser le numéro RIN au lieu de la clé GEDCOM";
$pgv_lang["USE_RIN_help"]               = "Option pour utiliser le numéro RIN au lieu de l'identifiant GEDCOM comme code des individus dans les fichiers de configuration, dans les fichiers de préférences et les arbres. Ceci est utile avec les programmes de généalogie qui exportent les données GEDCOM en utilisant le RIN.";
$pgv_lang["GENERATE_GUID"]              = "Création automatique d'un identifiant unique";
#pgv_lang["GENERATE_GUID_help"]         = "~#pgv_lang[GENERATE_GUID]#~<br /><br /><b>GUID</b> in this context is an acronym for «Globally Unique ID».<br /><br />GUIDs are intended to help identify each individual in a manner that is repeatable, so that central organizations such as the Family History Center of the LDS Church in Salt Lake City, or even compatible programs running on your own server, can determine whether they are dealing with the same person no matter where the GEDCOM originates.  The goal of the Family History Center is to have a central repository of genealogical data and expose it through web services. This will enable any program to access the data and update their data within it.<br /><br />If you do not intend to share this GEDCOM with anyone else, you do not need to let PhpGedView create these GUIDs; however, doing so will do no harm other than increasing the size of your GEDCOM.<br />";
$pgv_lang["PEDIGREE_ROOT_ID"]           = "Individu par défaut pour les arbres d'ascendance et de descendance";
$pgv_lang["PEDIGREE_ROOT_ID_help"]      = "Indique l'identificateur de la personne à afficher par défaut pour les arbres d'ascendance et de descendance.";
$pgv_lang["GEDCOM_ID_PREFIX"]           = "Préfixe Individu";
$pgv_lang["GEDCOM_ID_PREFIX_help"]      = "Préfixe ajouté par défaut à l'identifiant GEDCOM d'un individu (INDI) quand l'utilisateur ne l'indique pas.";
$pgv_lang["SOURCE_ID_PREFIX"]           = "Préfixe Source";
$pgv_lang["SOURCE_ID_PREFIX_help"]      = "Préfixe ajouté par défaut à l'identifiant GEDCOM d'une source (SOUR) quand l'utilisateur ne l'indique pas.";
$pgv_lang["REPO_ID_PREFIX"]             = "Préfixe Dépôt d'archives";
$pgv_lang["REPO_ID_PREFIX_help"]        = "Préfixe ajouté par défaut à l'identifiant GEDCOM d'un dépôt d'archives (REPO) quand l'utilisateur ne l'indique pas.";
$pgv_lang["PEDIGREE_FULL_DETAILS"]      = "Afficher les détails de la naissance et du décès sur les arbres";
$pgv_lang["PEDIGREE_FULL_DETAILS_help"] = "Option pour afficher par défaut les détails de la naissance et du décès d'un individu sur les arbres d'ascendance et de descendance.";
$pgv_lang["PEDIGREE_LAYOUT"]            = "Orientation par défaut des arbres";
$pgv_lang["PEDIGREE_LAYOUT_help"]       = "Indique le sens d'orientation des arbres sur la page :<br /><ul><li>Portrait = <img src=\"images/darrow.gif\" align=\"middle\" /> vertical<li>Paysage = <img src=\"images/rarrow.gif\" align=\"middle\" /> horizontal</ul>";
$pgv_lang["SHOW_EMPTY_BOXES"]           = "Afficher les cases vides sur les arbres d'ascendance";
$pgv_lang["SHOW_EMPTY_BOXES_help"]      = "Indique si les cases sans informations doivent être affichées ou non sur les arbres d'ascendance.";
$pgv_lang["ZOOM_BOXES"]                 = "Zoom sur les cases des tableaux";
$pgv_lang["ZOOM_BOXES_help"]            = "Méthode de zoom sur les cases d'un tableau pour obtenir davantage d'informations.";
$pgv_lang["LINK_ICONS"]                 = "Liens entre tableaux";
$pgv_lang["LINK_ICONS_help"]            = "Méthode d'activation des liens entre les tableaux.";
$pgv_lang["ABBREVIATE_CHART_LABELS"]    = "Abréger les intitulés dans les tableaux";
$pgv_lang["ABBREVIATE_CHART_LABELS_help"]= "Option pour abréger ou non les intitulés comme «Naissance» par la première lettre «N».";
$pgv_lang["SHOW_AGE_DIFF"]              = "Voir les écarts d'âge";
$pgv_lang["SHOW_AGE_DIFF_help"]         = "~#pgv_lang[SHOW_AGE_DIFF]#~<br /><br />Option pour afficher les différences d'âge entre les époux, entre les enfants, ou après la date de mariage pour le premier enfant.";
$pgv_lang["SHOW_PARENTS_AGE"]           = "Afficher l'âge des parents à la naissance de l'enfant";
$pgv_lang["SHOW_PARENTS_AGE_help"]      = "~#pgv_lang[SHOW_PARENTS_AGE]#~<br /><br />Option pour afficher l'âge du père et de la mère dans les tableaux à côté de la date de naissance de l'enfant.";
$pgv_lang["SHOW_RELATIVES_EVENTS"]      = "Afficher naissance, mariage et décès des proches sur la fiche individuelle";
$pgv_lang["SHOW_RELATIVES_EVENTS_help"] = "~#pgv_lang[SHOW_RELATIVES_EVENTS]#~<br /><br />La naissance, le mariage ou le décès d'un proche sont des événements importants dans la vie de chacun. Cette option permet de les ajouter sur l'onglet «Faits et détails personnels» de la fiche individuelle.";
$pgv_lang["EXPAND_RELATIVES_EVENTS"]    = "Ouvrir automatiquement la liste d'événements";
$pgv_lang["EXPAND_RELATIVES_EVENTS_help"]= "~#pgv_lang[EXPAND_RELATIVES_EVENTS]#~<br /><br />Option pour ouvrir par défaut la liste <i>#pgv_lang[SHOW_RELATIVES_EVENTS]#</i>.<br />";
$pgv_lang["EXPAND_SOURCES"]             = "Ouvrir automatiquement les sources";
$pgv_lang["EXPAND_SOURCES_help"]        = "~#pgv_lang[EXPAND_SOURCES]#~<br /><br />Option pour afficher par défaut le contenu des <i>Sources</i> sur la page individuelle.<br />";
$pgv_lang["EXPAND_NOTES"]               = "Ouvrir automatiquement les notes";
$pgv_lang["EXPAND_NOTES_help"]          = "~#pgv_lang[EXPAND_NOTES]#~<br /><br />Option pour afficher par défaut le contenu des <i>Notes</i> sur la page individuelle.<br />";
$pgv_lang["SHOW_LEVEL2_NOTES"]          = "Montrer tous les Notes et Sources dans les onglets «Notes» et «Sources»";
#pgv_lang["SHOW_LEVEL2_NOTES_help"]     = "~#pgv_lang[SHOW_LEVEL2_NOTES]#~<br /><br />This option controls whether Notes and Source references that are attached to Facts should be shown on the Notes and Sources tabs of the Individual page.<br /><br />Ordinarily, the Notes and Sources tabs show only Notes and Source references that are attached directly to the individual's database record.  These are <i>level 1</i> Notes and Source references.<br /><br />The <b>#pgv_lang[yes]#</b> option causes these tabs to also show Notes and Source references that are part of the various Facts in the individual's database record.  These are <i>level 2</i> Notes and Source references because the various Facts are at level 1.<br />";
$pgv_lang["HIDE_LIVE_PEOPLE"]           = "Masquer les personnes vivantes";
$pgv_lang["HIDE_LIVE_PEOPLE_help"]      = "Cette option indique à PhpGedView qu'il faut cacher les détails qui concernent les personnes qui sont encore en vie.  Les personnes vivantes sont celles dont l'âge n'a pas dépassé la valeur \$MAX_ALIVE_AGE, et qui n'ont pas d'enfant dont l'âge est inférieur à \$MAX_ALIVE_AGE.";
$pgv_lang["REQUIRE_AUTHENTICATION"]     = "Authentification obligatoire";
$pgv_lang["REQUIRE_AUTHENTICATION_help"]= "Oblige les visiteurs à se connecter avant toute opération.";
$pgv_lang["WELCOME_TEXT_AUTH_MODE"]     = "Texte de bienvenue sur la page de connexion";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_help"]= "Choix du texte qui s'affichera sur l'écran de connexion, si le mode Authentification est actif. Choisir SVP le texte le plus approprié. Vous pouvez également saisir votre propre texte de bienvenue, mais il ne s'affichera pas dans la langue du visiteur.<br /><br />Liste des textes prédéfinis :<br /><br /><b>#pgv_lang[WELCOME_TEXT_AUTH_MODE_OPT1]# :</b><br /><br />#pgv_lang[welcome_text_auth_mode_1]#<br /><br /><b>#pgv_lang[WELCOME_TEXT_AUTH_MODE_OPT2]# :</b><br /><br />#pgv_lang[welcome_text_auth_mode_2]#<br /><br /><b>#pgv_lang[WELCOME_TEXT_AUTH_MODE_OPT3]# :</b><br /><br />#pgv_lang[welcome_text_auth_mode_3]#";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_OPT0"]= "Aucun texte par défaut";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_OPT1"]= "Texte indiquant que tous les visiteurs peuvent demander un compte";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_OPT2"]= "Texte indiquant que l'administrateur décidera si besoin d'un compte";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_OPT3"]= "Texte indiquant que seuls les membres de la famille peuvent demander un compte";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_OPT4"]= "Choisir un texte de bienvenue";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_CUST"]= "Texte de bienvenue personnalisé";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_CUST_help"]= "Si vous avez fait le choix d'un texte de bienvenue personnalisé, vous pouvez le saisir ici.<br />Ce texte ne sera PAS traduit dans la langue des visiteurs, il s'affichera exactement comme vous l'aurez tapé.<br /><br />Les marqueurs HTML sont autorisés.";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_CUST_HEAD"]= "En-tête standard pour le texte de bienvenue personnalisé";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_CUST_HEAD_help"]= "Affichage d'un en-tête standard multi-langues pour votre texte de bienvenue personnalisé.<br /><br />Il se présentera comme ceci :<br /><br />#pgv_lang[welcome_text_cust_head]#";
#pgv_lang["SHOW_REGISTER_CAUTION"]      = "Show Acceptable Use agreement on «Request new user account» page";
#pgv_lang["SHOW_REGISTER_CAUTION_help"] = "~#pgv_lang[SHOW_REGISTER_CAUTION]#~<br /><br />When set to <b>#pgv_lang[yes]#</b>, the following message will appear above the input fields on the «#pgv_lang[requestaccount]#» page:<div class=\"list_value_wrap\">#pgv_lang[acceptable_use]#</div>";
$pgv_lang["CHECK_CHILD_DATES"]          = "Contrôler les dates des enfants";
$pgv_lang["CHECK_CHILD_DATES_help"]     = "Vérification des dates des enfants pour déterminer si une personne est décédée.  Sur des systèmes anciens et avec de gros fichiers GEDCOM cette option peut dégrader les temps de réponse.";
$pgv_lang["MAX_ALIVE_AGE"]              = "Âge maxi d'une personne";
$pgv_lang["MAX_ALIVE_AGE_help"]         = "L'âge maximal auquel on peut trouver un événement enregistré pour une personne ou l'âge maximal de ses enfants pour déterminer si elle est vivante ou non.";
$pgv_lang["SHOW_GEDCOM_RECORD"]         = "Autoriser la <b>consultation</b> des enregistrements GEDCOM";
$pgv_lang["SHOW_GEDCOM_RECORD_help"]    = "Option permettant de placer des liens sur les individus, les sources et les familles pour autoriser les utilisateurs à ouvrir une fenêtre qui contiendra le code GEDCOM extrait du fichier.";
$pgv_lang["ALLOW_EDIT_GEDCOM"]          = "Autoriser la <b>modification</b> des données GEDCOM du serveur";
$pgv_lang["ALLOW_EDIT_GEDCOM_help"]     = "Autorise les fonctions d'édition des donnéees GEDCOM pour que les utilisateurs autorisés puissent mettre à jour ce fichier directement.";
$pgv_lang["EDIT_AUTOCLOSE"]             = "Fermer automatiquement la fenêtre d'édition";
$pgv_lang["EDIT_AUTOCLOSE_help"]        = "~#pgv_lang[EDIT_AUTOCLOSE]#~<br /><br />Option pour fermer automatiquement la fenêtre d'édition après une mise à jour réussie, sans avoir besoin de cliquer sur le bouton «Fermer».<br />";
$pgv_lang["INDEX_DIRECTORY_help"]       = "Le chemin vers un répertoire accessible en lecture et en écriture où PhpGedView doit stocker les fichiers d'index (avec le «/» final)<br />";
$pgv_lang["POSTAL_CODE"]                = "Position du code postal";
$pgv_lang["POSTAL_CODE_help"]           = "~#pgv_lang[POSTAL_CODE]#~<br /><br />Option pour afficher le code postal devant ou derrière le nom de la ville, selon le pays.<br />";
$pgv_lang["SUBLIST_TRIGGER_I"]          = "Nombre maximale de noms de famille";
#pgv_lang["SUBLIST_TRIGGER_I_help"]     = "~#pgv_lang[SUBLIST_TRIGGER_I]#~<br /><br />Long lists of persons with the same surname can be broken into smaller sub-lists according to the first letter of the individual's given name.<br /><br />This option determines when sub-listing of surnames will occur.  To disable sub-listing completely, set this option to zero.<br />";
$pgv_lang["SUBLIST_TRIGGER_F"]          = "Nombre maximale de noms de famille";
#pgv_lang["SUBLIST_TRIGGER_F_help"]     = "~#pgv_lang[SUBLIST_TRIGGER_F]#~<br /><br />Long lists of families with the same name can be broken into smaller sub-lists according to the first letter of the given name.<br /><br />This option determines when sub-listing of family names will occur.  To disable sub-listing completely, set this option to zero.<br />";
$pgv_lang["SURNAME_LIST_STYLE"]         = "Genre de présentation des listes";
#pgv_lang["SURNAME_LIST_STYLE_help"]    = "~#pgv_lang[SURNAME_LIST_STYLE]#~<br /><br />Lists of surnames, as they appear in the #pgv_lang[block_top10]# block, the #pgv_lang[individual_list]#, and the #pgv_lang[family_list]#, can be shown in different styles.<ul><li><b>#pgv_lang[style2]#</b>&nbsp;&nbsp;&nbsp;In this style, the surnames are shown in a table that can be sorted either by surname or by count.</li><li><b>#pgv_lang[style3]#</b>&nbsp;&nbsp;&nbsp;In this style, the surnames are shown in a list, and the font size used for each name depends on the number of occurrences of that name in the database.  The list is not sortable.</li></ul><br />";
$pgv_lang["NAME_FROM_GEDCOM"]           = "Afficher le nom à partir du fichier GEDCOM";
$pgv_lang["NAME_FROM_GEDCOM_help"]      = "Par défaut PhpGedView affiche le nom d'individu qui est stocké dans ses fichiers d'index.  Dans certains formats GEDCOM et avec certaines langues le nom stocké dans les fichiers d'index ne s'affiche pas correctement et la solution alternative est de le prendre dans le fichier GEDCOM.  Les noms espagnols sont un bon exemple de ce problème. Un nom de famille espagnol peut avoir le format «Prénoms Nom de famille du père Nom de famille de la mère». En utilisant les index pour le tri et l'affichage, ce nom serait affiché ainsi «Prénoms Nom de famille de la mère Nom de famille du père». En prenant le nom inscrit dans le fichier GEDCOM on retrouvera le nom correct. Cependant, la récupération du nom dans le fichier GEDCOM ralentira le programme.";
$pgv_lang["SHOW_ID_NUMBERS_help"]       = "Option pour afficher l'identifiant des individus entre parenthèses sur les arbres et les listes.";
$pgv_lang["SHOW_LAST_CHANGE"]           = "Afficher la date de dernière modification de l'enregistrement GEDCOM dans les listes";
#pgv_lang["SHOW_LAST_CHANGE_help"]      = "~#pgv_lang[SHOW_LAST_CHANGE]#~<br /><br />This option controls whether or not to show GEDCOM record last change date on lists.<br />";
$pgv_lang["SHOW_PEDIGREE_PLACES"]       = "Niveau de détail pour l'affichage des lieux";
$pgv_lang["SHOW_PEDIGREE_PLACES_help"]  = "Indique le nombre de niveaux à afficher pour les lieux sur les arbres d'ascendance et de descendance. Valeur entre 0 (=ne rien afficher) et 9 (=afficher tout).";
$pgv_lang["MULTI_MEDIA"]                = "Autoriser les fonctions MultiMédia";
$pgv_lang["MULTI_MEDIA_help"]           = "GEDCOM 5.5 permet d'associer des images, des vidéos et autres objets MultiMédia. Si vous n'avez pas inclus d'objets MultiMédia dans votre fichier GEDCOM vous pouvez désactiver cette option.<br /><br />Voir le chapitre MultiMédia du fichier <a href=readme.txt>readme.txt</a> pour plus d'informations sur l'insertion de fichiers MultiMédia sur votre site.";
$pgv_lang["MEDIA_EXTERNAL"]             = "Conserver les liens";
$pgv_lang["MEDIA_EXTERNAL_help"]        = "Option pour les liens MultiMédia au format <tt>http://</tt>, <tt>ftp://</tt>, <tt>mms://</tt><br />Choix <i>Oui</i> : les liens ne sont pas modifiés. Par exemple : <u>http://www.myfamily.com/photo/dad.jpg</u> restera <u>http://www.myfamily.com/photo/dad.jpg</u>.<br />Choix <i>Non</i> : ces liens suivent la règle des objets MultiMédia. Par example : <u>http://www.myfamily.com/photo/dad.jpg</u> deviendra <u>./media/dad.jpg</u>";
$pgv_lang["MEDIA_DIRECTORY"]            = "Répertoire MultiMédia";
$pgv_lang["MEDIA_DIRECTORY_help"]       = "Chemin d'accès à un répertoire accessible en lecture où PhpGedView doit trouver les fichiers MultiMédia (coder le «/» final).";
$pgv_lang["MEDIA_DIRECTORY_LEVELS"]     = "Niveaux de sous-répertoires MultiMédia";
$pgv_lang["MEDIA_DIRECTORY_LEVELS_help"]= "Une valeur de 0 permettra d'ignorer tous les sous-répertoires du chemin d'accès aux objets MultiMédia.<br />Une valeur de 1 permettra d'accèder au sous-répertoire qui contient l'objet.<br />En augmentant cette valeur on augmentera le nombre des sous-répertoires parents à inclure dans ce chemin d'accès.<br />Par exemple : si le lien vers une image de votre fichier GEDCOM est libellé ainsi C:\\Documents&nbsp;and&nbsp;Settings\\User\\My&nbsp;Documents\\My&nbsp;Pictures\\Genealogy\\Surname&nbsp;Line\\grandpa.jpg, alors une valeur de 0 traduira ce chemin en ./media/grandpa.jpg. Une valeur de 1 le traduira en ./media/Surname&nbsp;Line/grandpa.jpg, etc. Vous n'aurez le plus souvent qu'à utiliser la valeur de 0. Mais il est possible que certains objets MultiMédia aient des noms identiques et se substituent de ce fait l'un à l'autre. Ce paramètre vous permet de conserver l'organisation de vos sous-répertoires en évitant les conflits de noms.";
$pgv_lang["SHOW_HIGHLIGHT_IMAGES_help"] = "Si vous avez activé les fonctions MultiMédia sur votre site, vous pouvez faire afficher une image miniature à côté du nom de la personne dans les cases des arbres. PhpGedView utilise comme image le premier objet MultiMédia cité dans l'enregistrement GEDCOM. Pour les personnes qui ont plusieurs images, vous devrez organiser vos données GEDCOM de manière à mettre en première position l'image souhaitée.<br />Voir le chapitre multimedia du fichier <a href=readme.txt>readme.txt</a> pour des informations complémentaires.";
$pgv_lang["USE_THUMBS_MAIN"]            = "Afficher les vignettes à la place des images";
$pgv_lang["USE_THUMBS_MAIN_help"]       = "À l'écran, il est souvent préférable d'afficher uniquement les vignettes (thumbnails), plus rapides à charger que les images d'origine. Cela dépend surtout de votre façon d'organiser les images, de leur poids, et de la qualité des vignettes.";
$pgv_lang["SHOW_MEDIA_FILENAME"]        = "Montrer le nom du fichier dans le viseur MultiMédia";
#pgv_lang["SHOW_MEDIA_FILENAME_help"]   = "~#pgv_lang[SHOW_MEDIA_FILENAME]#~<br /><br />The Media Viewer can show the name of the Media file being viewed.  This option determines whether that file name is shown to users or not.<br /><br />You may want to hide the file name for security reasons.<br /><br />";
$pgv_lang["SHOW_MEDIA_DOWNLOAD"]        = "Montrer le lien de téléchargement dans le viseur MultiMédia";
#pgv_lang["SHOW_MEDIA_DOWNLOAD_help"]   = "~#pgv_lang[SHOW_MEDIA_DOWNLOAD]#~<br /><br />The Media Viewer can show a link which, when clicked, will download the Media file to the local PC.<br /><br />You may want to hide the download link for security reasons.<br /><br />";
$pgv_lang["ENABLE_CLIPPINGS_CART"]      = "Autoriser la copie de données";
$pgv_lang["ENABLE_CLIPPINGS_CART_help"] = "La copie de données (<i>clipping</i>) permet aux visiteurs de votre site d'extraire des informations dans un fichier qu'ils pourront télécharger au format GEDCOM et importer dans leur logiciel de généalogie.";
$pgv_lang["HIDE_GEDCOM_ERRORS"]         = "Masquer les erreurs GEDCOM";
$pgv_lang["HIDE_GEDCOM_ERRORS_help"]    = "Option pour masquer les messages d'erreur produits par PhpGedView lorsqu'il ne reconnaît pas une balise GEDCOM de votre fichier. PhpGedView s'efforce de respecter le standard GEDCOM 5.5, mais beaucoup de logiciels de généalogie utilisent leurs propres balises.<br />Voir le fichier <a href=readme.txt>readme.txt</a> pour plus d'informations.";
$pgv_lang["WORD_WRAPPED_NOTES"]         = "Ajouter des espaces en fin de ligne dans les notes";
$pgv_lang["WORD_WRAPPED_NOTES_help"]    = "Certains programmes génèrent des fins de ligne dans les notes sans couper les mots alors que d'autres programmes les génèrent à n'importe quel endroit.  Ceci peut provoquer l'accolade de deux mots sans espace de séparation par PhpGedView. En codant «oui» pour cette option, un espace sera inséré entre les mots quand ils ont été coupés dans le fichier GEDCOM.";
$pgv_lang["SHOW_CONTEXT_HELP"]          = "Afficher le lien d'aide contextuelle";
$pgv_lang["SHOW_CONTEXT_HELP_help"]     = "Option d'affichage du lien d'aide contextuelle derrière les champs.";
$pgv_lang["DAYS_TO_SHOW_LIMIT"]         = "Limite des prochains événements (jours)";
#pgv_lang["DAYS_TO_SHOW_LIMIT_help"]    = "~#pgv_lang[DAYS_TO_SHOW_LIMIT]#~<br /><br />Enter the maximum number of days to show in Upcoming Events blocks.  This number cannot be greater than 30. If you enter a larger value, 30 will be used.<br /><br />The value you enter here determines how far ahead PhpGedView looks when searching for upcoming events.  The results of this search, done once daily, are copied into a temporary file.<br /><br />No Upcoming Events blocks on Index or Portal pages can request more days than this value.  The larger you make this, the longer it will take to build the daily database extract, and the longer it will take to display the block, even when you request to display a number of days less than this setting.<br />";
$pgv_lang["COMMON_NAMES_THRESHOLD"]     = "Fréquence mini pour figurer dans la liste des principaux noms de familles";
$pgv_lang["COMMON_NAMES_THRESHOLD_help"]= "Nombre à partir duquel un nom de famille sera affiché dans la liste des principaux noms de familles sur la page d'accueil.";
$pgv_lang["COMMON_NAMES_ADD"]           = "Noms à <b>ajouter</b> dans la liste des principaux noms de familles";
$pgv_lang["COMMON_NAMES_ADD_help"]      = "Si un nom de famille n'atteint pas le seuil pour être affiché dans la liste, il peut être ajouté manuellement ici. Pour ajouter plusieurs noms, les séparer par une virgule. Le système distingue majuscules et minuscules.";
$pgv_lang["COMMON_NAMES_REMOVE"]        = "Noms à <b>retirer</b> de la liste des principaux noms de familles";
$pgv_lang["COMMON_NAMES_REMOVE_help"]   = "Pour ne pas afficher un nom dans la liste des principaux noms de famille sans modifier le seuil, il suffit de l'ajouter à ici manuellement ici. Pour ajouter plusieurs noms, les séparer par une virgule. Le système distingue majuscules et minuscules.";
$pgv_lang["HOME_SITE_URL"]              = "URL du site web";
$pgv_lang["HOME_SITE_URL_help"]         = "URL qui est utilisée dans le «<i>header</i>» des thèmes fournis pour générer un lien vers votre site web.";
$pgv_lang["HOME_SITE_TEXT"]             = "Description du site web";
$pgv_lang["HOME_SITE_TEXT_help"]        = "Texte utilisé pour la génération du lien vers votre site web.";
$pgv_lang["CONTACT_EMAIL"]              = "Adresse courriel du contact Généalogie";
$pgv_lang["CONTACT_EMAIL_help"]         = "L'adresse que les visiteurs doivent utiliser pour contacter la personne responsable des données généalogiques de ce site.";
$pgv_lang["CONTACT_METHOD"]             = "Préférence du contact Généalogie";
$pgv_lang["CONTACT_METHOD_help"]        = "Méthode à utiliser sur le lien contact Généalogie.";
$pgv_lang["PHPGEDVIEW_EMAIL"]           = "Adresse courriel de réponse";
#pgv_lang["PHPGEDVIEW_EMAIL_help"]      = "~#pgv_lang[PHPGEDVIEW_EMAIL]#~<br /><br />E-mail address to be used in the «From:» field of e-mails that PhpGedView creates automatically.<br /><br />PhpGedView can automatically create e-mails to notify administrators of changes that need to be reviewed.  PhpGedView also sends notification e-mails to users who have requested an account.<br /><br />Usually, the «From:» field of these automatically created e-mails is something like <i>From: phpgedview-noreply@yoursite</i> to show that no response to the e-mail is required.  To guard against spam or other e-mail abuse, some e-mail systems require each message's «From:» field to reflect a valid e-mail account and will not accept messages that are apparently from account <i>phpgedview-noreply</i>.<br />";
$pgv_lang["WEBMASTER_EMAIL"]            = "Adresse courriel de l'administrateur";
$pgv_lang["WEBMASTER_EMAIL_help"]       = "L'adresse que les visiteurs doivent utiliser pour les questions techniques ou les erreurs qu'ils peuvent rencontrer sur votre site.";
$pgv_lang["SUPPORT_METHOD"]             = "Préférence de l'administrateur";
$pgv_lang["SUPPORT_METHOD_help"]        = "Méthode à utiliser sur le lien contact Administrateur.";
$pgv_lang["SHOW_FACT_ICONS"]            = "Montrer les icônes des événements";
#pgv_lang["SHOW_FACT_ICONS_help"]       = "~#pgv_lang[SHOW_FACT_ICONS]#~<br /><br />Set this to <b>#pgv_lang[yes]#</b> to display icons near Fact names on the #pgv_lang[personal_facts]# page.  Fact icons will be displayed only if they exist in the <i>images/facts</i> directory of the current theme.<br />";
$pgv_lang["FAVICON"]                    = "Icône des favoris";
$pgv_lang["FAVICON_help"]               = "Changez cette valeur pour pointer vers l'icône que vous souhaitez afficher dans le menu des favoris quand on enregistre un pointeur vers votre site.";
$pgv_lang["THEME_DIR"]                  = "Répertoire des thèmes";
$pgv_lang["THEME_DIR_help"]             = "Le répertoire dans lequel les fichiers des thèmes PhpGedView sont conservés. Vous pouvez personnaliser les thèmes qui sont livrés avec PhpGedView afin d'obtenir une présentation originale et unique de votre site.  Voir le chapitre personnalisation des thèmes du fichier <a href=readme.txt>readme.txt</a> pour plus d'informations.";
$pgv_lang["TIME_LIMIT"]                 = "Durée max.";
$pgv_lang["TIME_LIMIT_help"]            = "Temps maximal en secondes que PhpGedView est autorisé à consommer. La valeur par défaut est d'une minute.  Selon la taille de votre fichier GEDCOM, il peut être nécessaire d'augmenter cette valeur.  En codant une valeur de 0, vous supprimez la limite de temps d'exécution de PHP.<br />ATTENTION : En codant 0 ou en codant une valeur trop élevée vous pourrez causer le blocage de votre site sur certains systèmes d'exploitation jusqu'à la fin de l'exécution du script.  La valeur de 0 signifie qu'il pourrait ne jamais se terminer jusqu'à ce qu'un administrateur du serveur arrête le processus ou redémarre le serveur. La construction d'un grand arbre généalogique peut prendre un très long temps, et en laissant cette valeur aussi basse que possible vous serez certain que personne ne pourra bloquer le serveur de votre site en demandant la construction d'un arbre de 1000 générations.";
$pgv_lang["PGV_SESSION_SAVE_PATH_help"] = "Indique le chemin à utiliser pour stocker les fichiers des sessions PhpGedView. Certains serveurs n'ont pas une configuration correcte de PHP et les sessions ne sont pas maintenues en passant d'une page à une autre. Cette option permet aux administrateurs de régler le problème en sauvegardant les fichiers dans un répertoire local. Le répertoire ./index/ est un bon choix si vous devez choisir un répertoire. Par défaut ce champ est laissé vide, ce qui permet d'utiliser le chemin configuré dans le fichier php.ini.<br />";
$pgv_lang["SERVER_URL_help"]            = "Si vous utilisez le protocole <tt>https</tt>, ou un port autre que celui par défaut, entrez ici le chemin d'accès au serveur.<br />";
$pgv_lang["LOGIN_URL"]                  = "URL de connexion (login)";
$pgv_lang["LOGIN_URL_help"]             = "À utiliser uniquement dans le cas où vous souhaitez rediriger la connexion vers un autre site, ou pour basculer du mode <tt>http</tt> au mode <tt>https</tt>.<br /><br />Entrer ici l'URL complète du fichier login.php, par exemple :<br /><tt>https://www.yourserver.com/phpgedview/login.php</tt>.";
$pgv_lang["PGV_SESSION_TIME_help"]      = "Durée, en secondes, pendant laquelle une session PhpGedView reste active avant de nécessiter une nouvelle connexion.  La valeur par défaut est de 30 minutes.<br />";
$pgv_lang["SHOW_STATS"]                 = "Afficher les statistiques";
$pgv_lang["SHOW_STATS_help"]            = "Affichage des statistiques d'exécution du programme et des requêtes faites sur la base de données au bas de chaque page.";
$pgv_lang["SHOW_COUNTER"]               = "Afficher le compteur de visites";
$pgv_lang["SHOW_COUNTER_help"]          = "Compteur du nombre d'accès aux pages du site.";
$pgv_lang["USE_REGISTRATION_MODULE_help"]= "Autoriser les utilisateurs à demander l'ouverture d'un compte sur ce site. Les administrateurs devront approuver l'inscription pour que le compte devienne actif.<br />";
$pgv_lang["ALLOW_USER_THEMES_help"]     = "Autoriser les utilisateurs à choisir leur propre thème.<br />";
$pgv_lang["PGV_SIMPLE_MAIL_help"]       = "L'en-tête normal de courriel comporte l'adresse courriel et le nom du destinataire. Certains systèmes de messagerie ne l'acceptent pas. En choisissant cette option, seule l'adresse courriel sera utilisée.<br />";
$pgv_lang["gedcom_title"]               = "Titre descriptif des données de ce fichier GEDCOM";
$pgv_lang["gedcom_title_help"]          = "Entrer une courte description de ce fichier GEDCOM pour le présenter aux visiteurs.";
$pgv_lang["LOGFILE_CREATE"]             = "Archivage des journaux";
$pgv_lang["LOGFILE_CREATE_help"]        = "Fréquence d'archivage des journaux.<br />";
$pgv_lang["PGV_MEMORY_LIMIT_help"]      = "Quantité de mémoire allouée au programme. Défaut : 32 Mo. La plupart des serveurs interdisent cette modification.<br />";
$pgv_lang["PGV_STORE_MESSAGES_help"]    = "Option de stockage des messages sur le serveur. «Oui» permettra aux utilisateurs de retrouver leurs messages quand ils se reconnectent. «Non» enverra les messages par courriel.<br />";
$pgv_lang["ALLOW_THEME_DROPDOWN"]       = "Affichage d'une liste de choix pour changer le thème";
$pgv_lang["ALLOW_THEME_DROPDOWN_help"]  = "Permet aux utilisateurs de choisir leur propre thème à partir d'une liste (si la configuration l'autorise).<br />";
$pgv_lang["MAX_VIEW_RATE"]              = "Taux max de visite des pages";
#pgv_lang["MAX_VIEW_RATE_help"]         = "~#pgv_lang[MAX_VIEW_RATE]#~<br /><br />This option limits the rate at which a user can view pages.<br /><br />If that rate is exceeded, PhpGedView treats the session as a hacking attempt; the session will be terminated with a suitable message.  These two values should place a reasonable limit on the amount of bandwith and downloaded bytes from the server.  This feature can be switched off by setting the time interval to 0.<br />";
$pgv_lang["META_AUTHOR"]                = "META Author";
$pgv_lang["META_AUTHOR_help"]           = "Contenu du champ «Author» (Auteur du site) de la balise META à insérer dans l'entête de chaque page HTML.<br />";
$pgv_lang["META_AUTHOR_descr"]          = "Si vide, le nom complet de l'administrateur GEDCOM sera utilisé.";
$pgv_lang["META_PUBLISHER"]             = "META Publisher";
$pgv_lang["META_PUBLISHER_help"]        = "Contenu du champ «Publisher» (Editeur du site) de la balise META à insérer dans l'entête de chaque page HTML.<br />";
$pgv_lang["META_PUBLISHER_descr"]       = "Si vide, le nom complet de l'administrateur GEDCOM sera utilisé.";
$pgv_lang["META_COPYRIGHT"]             = "META Copyright";
$pgv_lang["META_COPYRIGHT_help"]        = "Contenu du champ «Copyright» de la balise META à insérer dans l'entête de chaque page HTML.<br />";
$pgv_lang["META_COPYRIGHT_descr"]       = "Si vide, le nom complet de l'administrateur GEDCOM sera utilisé.";
$pgv_lang["META_DESCRIPTION"]           = "META Description";
$pgv_lang["META_DESCRIPTION_help"]      = "Contenu du champ «Description» de la balise META à insérer dans l'entête de chaque page HTML.<br />";
$pgv_lang["META_DESCRIPTION_descr"]     = "Si vide, le titre de la base GEDCOM sera utilisé.";
$pgv_lang["META_PAGE_TOPIC"]            = "META Page-Topic";
$pgv_lang["META_PAGE_TOPIC_help"]       = "Contenu du champ «Page-Topic» (sujet du site) de la balise META à insérer dans l'entête de chaque page HTML.<br />";
$pgv_lang["META_PAGE_TOPIC_descr"]      = "Si vide, le titre de la base GEDCOM sera utilisé.";
$pgv_lang["META_AUDIENCE"]              = "META Audience";
$pgv_lang["META_AUDIENCE_help"]         = "Contenu du champ «Audience» (public visé par le site) de la balise META à insérer dans l'entête de chaque page HTML.<br />";
$pgv_lang["META_PAGE_TYPE"]             = "META Page-Type";
$pgv_lang["META_PAGE_TYPE_help"]        = "Contenu du champ «Page-Type» (type de page) de la balise META à insérer dans l'entête de chaque page HTML.<br />";
$pgv_lang["META_ROBOTS"]                = "META Robots";
$pgv_lang["META_ROBOTS_help"]           = "Contenu du champ «Robots» (instructions pour les robots) de la balise META à insérer dans l'entête de chaque page HTML.<br />Certains robots ne tiennent pas compte de cette balise.<br />";
$pgv_lang["META_REVISIT"]               = "META Revisit";
$pgv_lang["META_REVISIT_help"]          = "Contenu du champ «Revisit» (fréquence de revisite de la page) de la balise META à insérer dans l'entête de chaque page HTML.<br />Certains navigateurs ne tiennent pas compte de cette balise.<br />";
$pgv_lang["META_KEYWORDS"]              = "META Keywords";
$pgv_lang["META_KEYWORDS_help"]         = "Contenu du champ «Keywords» (liste de mots clés) de la balise META à insérer dans l'entête de chaque page HTML.<br />La plupart des moteurs de recherche utilisent ces valeurs pour classer les pages.<br />.";
$pgv_lang["META_SURNAME_KEYWORDS"]      = "Principaux noms de familles en mots-clés";
$pgv_lang["META_SURNAME_KEYWORDS_help"] = "Option pour ajouter les principaux noms de familles dans la balise HTML des mots-clés (META Keywords) pour une meilleure indexation par les moteurs de recherche.<br />";
$pgv_lang["META_TITLE"]                 = "Complément balise TITLE";
$pgv_lang["META_TITLE_help"]            = "Texte à ajouter au titre de chaque page HTML.<br />";

$pgv_lang["ENABLE_RSS"]                 = "Activer RSS";
#pgv_lang["ENABLE_RSS_help"]            = "~#pgv_lang[ENABLE_RSS]#~<br /><br />This option lets you disable the RSS feature.<br /><br />RSS lets users monitor your site for changes to the Index page without actually visiting your site periodically.  If too many users make use of this feature or if the refresh frequency set by these users is too high, RSS can use up too much bandwidth or server capacity.<br /><br />This <a href='http://en.wikipedia.org/wiki/RSS_(file_format)' target='_blank' alt='Wikipedia article' title='Wikipedia article'><b>Wikipedia article</b></a> contains comprehensive information and links about RSS and the various RSS formats.<br />";
$pgv_lang["RSS_FORMAT"]                 = "Format RSS";
#pgv_lang["RSS_FORMAT_help"]            = "~#pgv_lang[RSS_FORMAT]#~<br /><br />The format to be used as the default feed format for the site. The numeric suffixes <u>do not</u> indicate version: they identify formats.  For example, RSS 2.0 is not newer than RSS 1.0, but a different format. Feed readers should be able to read any format.<br /><br />This <a href='http://en.wikipedia.org/wiki/RSS_(file_format)' target='_blank' alt='Wikipedia article' title='Wikipedia article'><b>Wikipedia article</b></a> contains comprehensive information and links about RSS and the various RSS formats.<br />";
#pgv_lang["SECURITY_CHECK_GEDCOM_DOWNLOADABLE"]= "Check if GEDCOM files are downloadable";
#pgv_lang["SECURITY_CHECK_GEDCOM_DOWNLOADABLE_help"] = "~#pgv_lang[SECURITY_CHECK_GEDCOM_DOWNLOADABLE]#~<br /><br />For security reasons, GEDCOM files should not be in a location where they can be directly downloaded, thus bypassing privacy checks. Clicking this link will check if your GEDCOM files can be downloaded over the network.<br /><br />On some systems this check has been known to take a really long time or not even complete.  If that is the case for you, then you should try to point your browser directly at your GEDCOM to see if it can be downloaded.<br />";
$pgv_lang["gedcom_download_secure"]     = "#GEDCOM# ne peut être transféré du serveur.";

#pgv_lang["welcome_new2"]               = "<br /><br />Since you are seeing this page, you have successfully installed PhpGedView on your server and are ready to begin configuring it to your requirements.<br /><br />";
$pgv_lang["welcome_new_help"]           = "Cette fenêtre d'aide vous guidera pendant la configuration. Une aide vous sera fournie pour chaque champ. Vous pouvez fermer cette fenêtre, et la réouvrir à tout moment en cliquant sur le bouton d'aide près du chaque champ.";
$pgv_lang["return_editconfig"]          = "Vous pourrez revenir à cette configuration à tout moment en faisant pointer votre navigateur sur editconfig.php, ou par le lien <b>Configuration</b> du menu <b>Administration</b>.<br />";
$pgv_lang["return_editconfig_gedcom"]   = "Vous pourrez revenir à cette configuration à tout moment en faisant pointer votre navigateur sur editconfig_gedcom.php, ou par le lien <b>GEDCOM</b> du menu <b>Administration</b>.<br />";
$pgv_lang["save_config"]                = "Sauvegarder la configuration";
$pgv_lang["download_gedconf"]           = "Télécharger le fichier de configuration GEDCOM sur votre poste (<i>Download</i>).";
$pgv_lang["not_writable"]               = "Votre fichier de configuration est protégé contre l'écriture. Vous pouvez utiliser le bouton de téléchargement pour sauvegarder vos données dans un fichier que vous transfèrerez manuellement.";
$pgv_lang["upload_to_index"]            = "Télécharger le fichier sur le serveur (<i>Upload</i>) dans le répertoire : ";
#pgv_lang["import_sql"]                 = "SQL files have been found in your index directory. Since they may have originated from the User Migration tool, you have the option to import the information into your database. Do you wish to attempt importing these files into your database now? All existing user-related information (users, news, favorites, block layouts, and messages) in your database will be lost.<br /><br />If you choose to proceed, PhpGedView will attempt to import the data. If this is not successful, you will be asked to make the first administrator account anyway.<br />";

//-- edit privacy messages
$pgv_lang["edit_privacy"]               = "Règles de confidentialité";
$pgv_lang["edit_privacy_title"]         = "Modifier les règles de confidentialité";
$pgv_lang["save_changed_settings"]      = "Enregistrer les modifications";
$pgv_lang["add_new_pp_setting"]         = "Ajouter une nouvelle règle";
$pgv_lang["add_new_up_setting"]         = "Ajouter une nouvelle règle";
$pgv_lang["add_new_gf_setting"]         = "Ajouter une nouvelle règle";
$pgv_lang["add_new_pf_setting"]         = "Ajouter une nouvelle règle";
$pgv_lang["file_read_error"]            = "Impossible de lire le fichier de confidentialité!";
$pgv_lang["edit_exist_person_privacy_settings"]= "Modifier les paramètres";
$pgv_lang["edit_exist_user_privacy_settings"]= "Modifier les paramètres";
$pgv_lang["edit_exist_global_facts_settings"]= "Modifier les règles sur les événements";
$pgv_lang["edit_exist_person_facts_settings"]= "Modifier les paramètres";
$pgv_lang["general_privacy"]            = "Restrictions d'accès";
$pgv_lang["general_privacy_help"]       = "<b>#pgv_lang[general_settings]#.</b><br />Paramètre par défaut pour ce fichier GEDCOM.<br /><br />Si vous avez chargé plusieurs fichiers GEDCOM sur votre site, chacun peut avoir ses propres paramètres.<br /><br />Certains paramètres sont modifiables sur la page #pgv_lang[edit_privacy_title]#.<br />#pgv_lang[more_config_help]#";
$pgv_lang["person_privacy"]             = "selon l'enregistrement";
$pgv_lang["person_privacy_help"]        = "<b>#pgv_lang[person_privacy_settings]#.</b><br />Permet à l'administrateur de forcer une règle de confidentialité pour un <b>individu</b> particulier. Pour un enfant mort par exemple. Par défaut, les détails le concernant sont visibles par tous, puisqu'il s'agit d'une personne décédée. Pour masquer ces informations sans supprimer l'enregistrement du décès, il suffit d'ajouter une règle.<br />";
$pgv_lang["user_privacy"]               = "selon l'utilisateur";
$pgv_lang["user_privacy_help"]          = "<b>#pgv_lang[user_privacy_settings]#.</b><br />Permet à l'administrateur de forcer une règle de confidentialité pour un <b>utilisateur</b> particulier.<br />";
$pgv_lang["global_facts"]               = "selon l'événement";
$pgv_lang["global_facts_help"]          = "<b>#pgv_lang[global_facts_settings]#.</b><br />Permet à l'administrateur de forcer une règle de confidentialité pour un <b>événement</b> particulier.<br />";
$pgv_lang["person_facts"]               = "selon l'événement et l'enregistrement";
$pgv_lang["person_facts_help"]          = "<b>#pgv_lang[person_facts_settings]#.</b><br />Permet à l'administrateur de forcer une règle de confidentialité pour un <b>événement et un individu</b> particulier.<br />";
$pgv_lang["accessible_by"]              = "Montrer à qui ?";
$pgv_lang["hide"]                       = "Cacher";
$pgv_lang["show_question"]              = "Montrer ?";
$pgv_lang["user_name"]                  = "Nom de l'utilisateur";
$pgv_lang["name_of_fact"]               = "Code de l'événement";
$pgv_lang["choice"]                     = "Montrer quoi ?";
$pgv_lang["fact_show"]                  = "Montrer l'événement";
$pgv_lang["fact_details"]               = "Montrer les détails de l'événement";
$pgv_lang["privacy_header"]             = "Modifier les paramètres";
$pgv_lang["unable_to_find_privacy_indi"]= "Aucun résultat pour l'ID";
$pgv_lang["save_and_import"]            = "Après la sauvegarde de cette configuration, il vous reste à faire l'<b>import</b> du fichier GEDCOM.";
$pgv_lang["help_info"]                  = "Pour obtenir de l'aide sur un champ, cliquer sur le «?» près du champ.";
$pgv_lang["SHOW_LIVING_NAMES"]          = "Montrer les noms des personnes en vie";
$pgv_lang["SHOW_LIVING_NAMES_help"]     = "#pgv_lang[SHOW_LIVING_NAMES]#<br />";
$pgv_lang["SHOW_RESEARCH_ASSISTANT"]    = "Montrer l'assistant de recherche";
#pgv_lang["SHOW_RESEARCH_ASSISTANT_help"]= "~#pgv_lang[SHOW_RESEARCH_ASSISTANT]#~<br /><br />What type of user can view the Research Assistant module if it is installed?<br />";
$pgv_lang["USE_RELATIONSHIP_PRIVACY"]   = "Autoriser l'accès aux détails privés des proches";
$pgv_lang["USE_RELATIONSHIP_PRIVACY_help"]= "#pgv_lang[USE_RELATIONSHIP_PRIVACY]#<br /><br />Option désactivée : les utilisateurs authentifiés peuvent voir les détails de toutes les personnes vivantes.<br />Option activée : accès aux détails privés des proches uniquement.<br />";
$pgv_lang["MAX_RELATION_PATH_LENGTH"]   = "Degré de parenté pour l'accès aux détails privés";
$pgv_lang["MAX_RELATION_PATH_LENGTH_help"]= "#pgv_lang[MAX_RELATION_PATH_LENGTH]#<br /><br />Si l'option #pgv_lang[USE_RELATIONSHIP_PRIVACY]# est activée, les utilisateurs authentifiés auront accès aux détails des individus dans la limite de ce degré de parenté.";
$pgv_lang["CHECK_MARRIAGE_RELATIONS"]   = "Vérifier les liens par mariage";
$pgv_lang["CHECK_MARRIAGE_RELATIONS_help"]= "Accès aux détails privés des proches par alliance.<br />";
$pgv_lang["SHOW_DEAD_PEOPLE"]           = "Montrer les personnes décédées";
$pgv_lang["SHOW_DEAD_PEOPLE_help"]      = "Niveau de confidentialité pour toutes les personnes décédées";
$pgv_lang["select_privacyfile_button"]  = "Choix d'un fichier de Confidentialité";
$pgv_lang["PRIVACY_BY_YEAR"]            = "Restriction par ancienneté d'événement";
$pgv_lang["PRIVACY_BY_YEAR_help"]       = "L'option #pgv_lang[PRIVACY_BY_YEAR]# permet de masquer les détails pour les individus selon l'âge qu'ils avaient à un événement donné, qu'ils soient décédés depuis ou pas.<br /><br />Si l'âge maximum est défini à 100 ans, on peut ainsi masquer toutes les personnes, vivantes ou non, nées depuis moins de 100 ans, mariées depuis moins de 85 ans, ou décédées depuis moins de 75 ans.<br /><br />Avertissement : cette option peut ralentir fortement les temps de réponse.<br />";

//-- language edit utility
#pgv_lang["lang_edit_help"]             = "~#pgv_lang[translator_tools]#~<br /><br />This page is intended to be used by translators.  You can translate, compare, and export language files.  There is also an option to help translators determine the origin of text that is output by PhpGedView.<br /><br />You can use the following options and utilities :<br />";
$pgv_lang["edit_langdiff"]              = "Éditer le contenu des fichiers de traduction";
$pgv_lang["bom_check"]                  = "Utilitaire de suppression du BOM";
$pgv_lang["bom_check_help"]             = "Cet outil effectue la suppression du BOM* dans les fichiers de langues.<br />*BOM = Byte Order Mark : 3 octets ajoutés au tout début d'un fichier par certains éditeurs de texte. Ce marqueur sert à mémoriser le format du fichier (ANSI, UTF-8...). La présence du BOM provoque une erreur d'affichage PhpGedView, il est donc nécessaire de le supprimer.";
#pgv_lang["bom_check_desc"]             = "This check will analyze all the language files for the BOM (Byte Order Mark). If found, it will remove the BOM from the affected file. These special codes can cause malfunctions in some parts of PhpGedView.";
#pgv_lang["lang_debug"]                 = "Help Text Debug Option";
$pgv_lang["lang_debug_help"]            = "~#pgv_lang[lang_debug]#~<br /><br />#pgv_lang[lang_debug_desc]#<br />";
#pgv_lang["lang_debug_desc"]            = "When you enable this option, the names of the language variables used in help text will print in the help text popup window.  This will help translators determine the variable name when text needs to be adjusted.<br /><br />This setting will only be valid during your current PhpGedView session.";
#pgv_lang["lang_debug_use"]             = "Use Help Text Debug Option";
$pgv_lang["bom_not_found"]              = "Aucun BOM trouvé.";
$pgv_lang["bom_found"]                  = "BOM supprimé du fichier ";
$pgv_lang["edit_lang_utility"]          = "Utilitaire d'édition des fichiers de traduction";
$pgv_lang["edit_lang_utility_help"]     = "Utilitaire pour modifier le contenu d'un fichier de traduction en vous appuyant sur le contenu de la version anglaise.<br /><br />Le programme vous listera le contenu du fichier de la version anglaise originale et celui de la version à traduire. Après avoir cliqué sur le message que vous voulez traduire une nouvelle fenêtre qui s'ouvrira vous permettra de modifier et de sauvegarder votre traduction du message dans la langue choisie.";
#pgv_lang["edit_lang_utility_desc"]     = "You can use this utility to edit the contents of a language file by using the contents of the English one.<br /><br />You will see the contents of the original English language file and the contents of the same file type (there are four of these) in your chosen language.  You click on the message text shown below the English version.  This opens a new window where you can modify the text.  You can save the changes or abandon them.";
$pgv_lang["edit_lang_utility_warning"]  = "ATTENTION!<br />Le bouton <i>#pgv_lang[close_window_without_refresh]#</i> oblige à recharger la page pour afficher les modifications.<br /><br />N'utilisez ce bouton qu'avec précaution.";
$pgv_lang["language_to_edit"]           = "Traduction en";
#pgv_lang["language_to_edit_help"]      = "~#pgv_lang[language_to_edit]#~<br /><br />In this list box you select the language whose messages you want to edit.<br />";
$pgv_lang["file_to_edit"]               = "Type de fichier à traduire";
$pgv_lang["file_to_edit_help"]          = "~#pgv_lang[file_to_edit]#~<br /><br />#pgv_lang[lang_file_descriptions]#";
#pgv_lang["lang_file_descriptions"]     = "PhpGedView has implemented support for many different languages.  This has been achieved by keeping all text that is visible to users in files completely separate from the main program.  There is a set of eight files for each supported language, and the various texts have been separated into one of these files according to function.  <b>Not all language files need to be present.</b>  When a given text is not yet available in translated form, PhpGedView will always use the English version.<br /><br />The files in each language set are:<br /><ul><li><b><i>admin.xx.php</i></b>&nbsp;&nbsp;This file contains terms and common expressions for use during the administration of PhpGedView and the genealogical databases.<br /><br /></li><li><b><i>configure_help.xx.php</i></b>&nbsp;&nbsp;This file contains Help text for use during configuration of PhpGedView.  The Help text is not intended to be viewed by ordinary users.<br /><br /></li><li><b><i>countries.xx.php</i></b>&nbsp;&nbsp;This is a list of country names, taken from the Web site of the Statistics Division, United Nations Department of Economic and Social Affairs.  This is the relevant <a href=\"http://unstats.un.org/unsd/methods/m49/m49alpha.htm\" target=\"_blank\"><b>link</b></a> to the English list.  The list is available in either English or French.<br /><br /></li><li><b><i>editor.xx.php</i></b>&nbsp;&nbsp;This file contains terms and common expressions for use during the editing of entries in the genealogical databases.<br /><br /></li><li><b><i>facts.xx.php</i></b>&nbsp;&nbsp;This file contains the textual equivalents of the GEDCOM Fact codes found in the GEDCOM 5.5.1 Standard.  It also contains additional Fact codes not found in the Standard but used by various genealogy programs.<br /><br />An English copy of the <a href=\"http://www.phpgedview.net/ged551-5.pdf\" target=\"_blank\"><b>GEDCOM 5.5.1 Standard</b></a> can be downloaded in PDF (Portable Document Format).<br /><br /></li><li><b><i>faqlist.xx.php</i></b>&nbsp;&nbsp;This file is a set of <b>f</b>requently <b>a</b>sked <b>q</b>uestions that have been collected by the PhpGedView development team.  Each FAQ has two entries in this file.  One entry is the FAQ heading (usually the question), and the other is the FAQ body (usually the answer).  Replacements for the <b><i>faqlist.xx.php</i></b> files, which are updated frequently, may be downloaded from the PhpGedView home site.<br /><br />The administrator can use the FAQs in this file to build an FAQ list that is specific to his site.<br /><br /></li><li><b><i>help_text.xx.php</i></b>&nbsp;&nbsp;This file contains Help text for ordinary users.  Some Help topics in this file address the needs of administrators, and are hidden from users who do not have Admin rights.<br /><br /></li><li><b><i>lang.xx.php</i></b>&nbsp;&nbsp;Many terms and common expressions are found in this file.</li></ul><br />PhpGedView also supports an optional ninth language file, <b><i>extra.xx.php</i></b>.  This file is always loaded after all the others and provides a means whereby a site administrator can override or alter any standard text in the selected language.  It can also be used to provide a title for the genealogical databases that varies according to the currently active language.<br /><br />The contents of this additional file are completely up to the site administrator; this file will <b>never</b> be distributed with any version of PhpGedView.  The administrator should never make changes to the standard language files; all local changes should be concentrated in this optional file.<br /><br />";
$pgv_lang["check"]                      = "Vérifier";
$pgv_lang["lang_save"]                  = "Sauvegarder";
$pgv_lang["contents"]                   = "Contenu";
$pgv_lang["listing"]                    = "Liste";
$pgv_lang["no_content"]                 = "Vide";
$pgv_lang["editlang"]                   = "Modifier";
$pgv_lang["editlang_help"]              = "Éditer un message du fichier";
$pgv_lang["savelang"]                   = "Enregistrer";
$pgv_lang["savelang_help"]              = "Sauvegarder le message";
$pgv_lang["original_message"]           = "Message original";
$pgv_lang["message_to_edit"]            = "Message à éditer";
$pgv_lang["changed_message"]            = "Valeur modifiée";
$pgv_lang["message_empty_warning"]      = "-> Avertissement!!! Message vide dans le fichier [#LANGUAGE_FILE#] <-";
$pgv_lang["language_to_export"]         = "Langage à exporter";
#pgv_lang["language_to_export_help"]    = "~#pgv_lang[language_to_export]#~<br /><br />From this list box you can select the language whose messages you want to export.<br /><br />The routine currently only exports the contents of the <i>configure_help.xx.php</i>, <i>help_text.xx.php</i>, and <i>lang.xx.php</i> files.  The output is an HTML file that you can print from your browser.<br />";
$pgv_lang["export_lang_utility"]        = "Utilitaire d'export du fichier langue";
$pgv_lang["export"]                     = "Exporter";
$pgv_lang["export_lang_utility_help"]   = "Ce module permet de choisir une langue et d'exporter le contenu du fichier d'aide pour obtenir une documentation.";
#pgv_lang["export_lang_utility_desc"]   = "You can create documentation for administrators.<br /><br />This utility will produce an HTML version of the Configuration Help file in the selected language.  You can use your browser to look at this file, which is formatted for printing.";
$pgv_lang["export_ok"]                  = "Les messages d'aide ont été exportés";
$pgv_lang["compare_lang_utility"]       = "Utilitaire de comparaison de fichiers de langues";
$pgv_lang["compare_lang_utility_help"]  = "Ce module affiche les écarts entre deux fichiers de langues.<br /><br />Voir également le fichier [<a href=\"languages/LANG_CHANGELOG.txt\" target=\"_blank\">LANG_CHANGELOG.txt</a>].";
#pgv_lang["compare_lang_utility_desc"]  = "This utility will compare two sets of language files to produce a list of the additions and subtractions between them.<br /><br />Read also the file <a href=\"languages/LANG_CHANGELOG.txt\" target=\"_blank\">LANG_CHANGELOG.txt</a> for changes to the English version.  The English files should be used as the reference from which all others are produced.";
$pgv_lang["new_language"]               = "Langue 1";
#pgv_lang["new_language_help"]          = "~#pgv_lang[new_language]#~<br /><br />From this list box you can select the language whose messages you want to compare with those of another language.<br /><br />All changes and additions to language files are first made to the <b>English</b> language files, so you would normally select English as one of the languages to compare.<br />";
$pgv_lang["old_language"]               = "Langue 2";
#pgv_lang["old_language_help"]          = "~#pgv_lang[old_language]#~<br /><br />From this list box you can select the language which you want to compare with the language selected in the <b>Source</b> list box.<br /><br />After you have made your choice, click the <b>Compare</b> button to get a list of all additions and subtractions in all four files of both languages.<br /><br />To refresh your memory:<br /><b>Addition</b> means: It is <u>in</u> the Source file, but <u>not</u> in the Secondary file.<br /><br /><b>Subtraction</b> means: It is <u>not</u> in the Source file, but it <u>is</u> in the Secondary file.  This might happen when a given message is no longer used and therefore was removed from the English files.  You can safely remove the corresponding message from the secondary language files.<br />";
$pgv_lang["compare"]                    = "Comparaison";
$pgv_lang["comparing"]                  = "Fichiers comparés ";
$pgv_lang["additions"]                  = "Ajouts";
$pgv_lang["no_additions"]               = "Aucun ajout";
$pgv_lang["subtractions"]               = "Suppressions";
$pgv_lang["no_subtractions"]            = "Aucune suppression";
$pgv_lang["config_lang_utility"]        = "Configuration des langues supportées";
$pgv_lang["config_lang_utility_help"]   = "Ce module vous aide à configurer les langues utilisables avec PhpGedView.<br /><br />Attention : au premier changement, PhpGedView va créer un nouveau fichier <tt>lang_settings.php</tt> dans le répertoire <tt>#INDEX_DIRECTORY#</tt>.<br /><br />Ensuite PhpGedView utilisera uniquement ce fichier. Par conséquent, pour tout problème relatif à une langue, merci de préciser que vous utilisez un fichier modifié de votre répertoire <tt>#INDEX_DIRECTORY#</tt>.";
$pgv_lang["active"]                     = "Actif";
$pgv_lang["active_help"]                = "Permet de choisir une autre langue, si l'administrateur l'autorise.";
$pgv_lang["edit_settings"]              = "Éditer les préférences";
$pgv_lang["lang_edit"]                  = "Éditer";
$pgv_lang["lang_language"]              = "Langue";
$pgv_lang["export_filename"]            = "Nom du fichier d'export";
$pgv_lang["lang_back"]                  = "Retour au menu des langues";
$pgv_lang["lang_back_admin"]            = "Retour au menu Administrateur";
$pgv_lang["lang_back_manage_gedcoms"]   = "Retour au menu administration GEDCOM";
$pgv_lang["lang_name_czech"]            = "Tchèque";
$pgv_lang["lang_name_chinese"]          = "Chinois";
$pgv_lang["lang_name_danish"]           = "Danois";
$pgv_lang["lang_name_dutch"]            = "Hollandais";
$pgv_lang["lang_name_english"]          = "Anglais";
$pgv_lang["lang_name_finnish"]          = "Finnois";
$pgv_lang["lang_name_french"]           = "Français";
$pgv_lang["lang_name_german"]           = "Allemand";
$pgv_lang["lang_name_hebrew"]           = "Hébreu";
$pgv_lang["lang_name_hungarian"]        = "Hongrois";
$pgv_lang["lang_name_italian"]          = "Italien";
$pgv_lang["lang_name_norwegian"]        = "Norvégien";
$pgv_lang["lang_name_polish"]           = "Polonais";
$pgv_lang["lang_name_portuguese"]       = "Portugais";
$pgv_lang["lang_name_portuguese-br"]    = "Portugais Brésilien";
$pgv_lang["lang_name_russian"]          = "Russe";
$pgv_lang["lang_name_spanish"]          = "Espagnol";
$pgv_lang["lang_name_spanish-ar"]       = "Espagnol Sud Américain";
$pgv_lang["lang_name_swedish"]          = "Suédois";
$pgv_lang["lang_name_turkish"]          = "Turc";
$pgv_lang["lang_name_greek"]            = "Grec";
$pgv_lang["lang_name_arabic"]           = "Arabe";
$pgv_lang["lang_name_lithuanian"]       = "Lituanien";
$pgv_lang["lang_name_vietnamese"]       = "Vietnamien";
$pgv_lang["lang_name_slovak"]           = "Slovaque";
$pgv_lang["lang_name_estonian"]         = "Estonien";
$pgv_lang["lang_new_language"]          = "Nouvelle Langue";
$pgv_lang["original_lang_name"]         = "Nom d'origine de la langue en #D_LANGNAME#";
$pgv_lang["original_lang_name_help"]    = "Comment se nomme cette langue dans cette langue ?<br /><br />En anglais, l'anglais se nomme : English<br />En allemand, l'allemand se nomme : Deutsch<br />etc.";
$pgv_lang["lang_shortcut"]              = "Raccourci pour les fichiers de langues";
$pgv_lang["lang_shortcut_help"]         = "Raccourci du code langue dans PhpGedView.<br />Habituellement il s'agit du premier code dans le fichier des «Codes de Langues» à définir dans le champ suivant.";
$pgv_lang["lang_langcode"]              = "Codes de langue";
$pgv_lang["lang_langcode_help"]         = "Ces codes permettent à PhpGedView de détecter la langue par défaut du navigateur. Séparateur : «;'";
$pgv_lang["lang_filenames"]             = "Fichiers de langues";
$pgv_lang["lang_filenames_help"]		= "~#pgv_lang[lang_filenames]#~<br /><br />#pgv_lang[lang_file_descriptions]#";
$pgv_lang["flagsfile"]                  = "Fichier image du drapeau";
$pgv_lang["flagsfile_help"]             = "Nom et chemin d'accès au fichier image du drapeau pour cette langue.";
$pgv_lang["text_direction"]             = "Sens du texte";
$pgv_lang["text_direction_help"]        = "Sens de l'écriture dans la langue choisie.<br /><br />Habituellement les langues occidentales s'écrivent de gauche à droite (LTR).<br />D'autres langues, comme l'hébreu, s'écrivent de droite à gauche (RTL).";
$pgv_lang["date_format"]                = "Format de date";
#pgv_lang["date_format_help"] = "~#pgv_lang[date_format]#~<br /><br />This field defines the date format to be used by PhpGedView when displaying dates from the database. You can use either the <b>Standard</b> or the <b>Advanced</b> format.<ul><li><b>Standard</b><br />The following codes are used to represent different elements of the date.  Note that <b>D</b> and <b>M</b> have different meanings in the <b>Advanced</b> format.<p style=\"padding-left: 25px\"><b>D</b>&nbsp;&nbsp;day of the month, without leading zeros; i.e. 1 to 31<br /><b>M</b>&nbsp;&nbsp;month name; i.e. January, February, etc.<br /><b>Y</b>&nbsp;&nbsp;full year, for example, 1999 or 44B.C.<br /><b>R</b>&nbsp;&nbsp;Calendar conversion.  Please see the topic <b>Calendar Conversion</b> below for a description of this code.</p>These codes can be combined in any order, along with spaces and punctuation.  For example, suppose your GEDCOM contains the date 20&nbsp;AUG&nbsp;1965.<p style=\"padding-left: 25px\">An <b>English</b> user could set the format to <b>D&nbsp;M&nbsp;Y</b> to get <b>20&nbsp;August&nbsp;1965</b>.<br />An <b>American</b> user could set the format to <b>M&nbsp;D,&nbsp;Y</b> to get <b>August&nbsp;20,&nbsp;1965</b><br />A <b>German</b> user could set the format to <b>D.&nbsp;M&nbsp;Y</b> to get <b>20.&nbsp;August&nbsp;1965</b><br />A <b>Hungarian</b> user could set the format to <b>Y.&nbsp;M&nbsp;D.</b> to get <b>1965.&nbsp;augusztus&nbsp;20.</b></p><br /></li><li><b>Advanced</b><br />More complex formatting options are available.  If your date format includes a letter other than <b>D</b>, <b>M</b>, <b>Y</b>, or <b>R</b>, it will be assumed to use the <b>Advanced</b> format.<br /><br />The following codes are used to represent different elements of the date.  Note that <b>D</b> and <b>M</b> have different meanings in the <b>Standard</b> format.<p style=\"padding-left: 25px\"><b>d</b>&nbsp;&nbsp;day of the month, with leading zeros; i.e. 01 to 31<br /><b>j</b>&nbsp;&nbsp;day of the month, without leading zeros; i.e. 1 to 31<br /><b>S</b>&nbsp;&nbsp;ordinal suffix for the day number; for example, the letters <b>th</b> in <b>4th&nbsp;July</b>.<br /><b>l</b> (lower-case \"L\")&nbsp;&nbsp;day of the week; i.e. Monday, Tuesday, etc.<br /><b>D</b>&nbsp;&nbsp;abbreviated day of the week; i.e. M, Tu, W, Th, F, Sa, Su<br /><b>N</b>&nbsp;&nbsp;ISO day number; i.e. 0 to 6<br /><b>w</b>&nbsp;&nbsp;numeric day number; i.e. 1 to 7<br /><b>z</b>&nbsp;&nbsp;day of the year; i.e. 1 to 365<br /><b>F</b>&nbsp;&nbsp;month name; i.e. January, February, etc.<br /><b>M</b>&nbsp;&nbsp;abbreviated month, i.e. Jan, Feb, etc.<br /><b>m</b>&nbsp;&nbsp;month number, with leading zeros; i.e. 01 to 12<br /><b>n</b>&nbsp;&nbsp;month number, without leading zeros; i.e. 1 to 12<br /><b>Y</b>&nbsp;&nbsp;full year, for example, 1999 or 44B.C.<br /><b>y</b>&nbsp;&nbsp;abbreviated year.  Some calendars allow years to be abbreviated.  For the Jewish calendar this is the year without the thousands.  For the Gregorian calendar this is the same as the full year.<br /><b>R</b>&nbsp;&nbsp;Calendar conversion.  Please see the topic <b>Calendar Conversion</b> below for a description of this code.<br /><b>@&nbsp;A&nbsp;O&nbsp;E</b>&nbsp;&nbsp;internal GEDCOM format</p><p style=\"padding-left: 50px\"><b>@</b>&nbsp;&nbsp;calendar code, e.g. @#DGREGORIAN@, @#DHEBREW@, etc.<br /><b>A</b>&nbsp;&nbsp;day, i.e. 01 to 31<br /><b>O</b>&nbsp;&nbsp;month, e.g. JAN, FEB, MAR, etc.<br /><b>E</b>&nbsp;&nbsp;year, e.g. 1776, 1867, 2007, etc.<br /><br />To see the unconverted dates, use <b>A&nbsp;O&nbsp;E</b> or <b>@&nbsp;A&nbsp;O&nbsp;E</b></p><b>Some examples</b>, using the date 08&nbsp;SEP&nbsp;1965:<p style=\"padding-left: 25px\"><b>d&nbsp;M&nbsp;Y</b> = 08&nbsp;Sep&nbsp;1965<br /><b>D&nbsp;j&nbsp;F&nbsp;Y</b> = W&nbsp;8&nbsp;September&nbsp;1965<br /><b>j&nbsp;M&nbsp;y</b> = 8&nbsp;Sep&nbsp;65<br /><b>l&nbsp;-&nbsp;d&nbsp;-&nbsp;F&nbsp;-&nbsp;Y</b> = Wednesday&nbsp;-&nbsp;08&nbsp;-&nbsp;September&nbsp;-&nbsp;1965<br /><b>y/m/d</b> = 1965/09/08</p><br /></li>#pgv_lang[date_format_help2]#";
#pgv_lang["date_format_help2"] = "<li><b>Calendar Conversion</b><br />The <b>R</b> code is somewhat unusual in its behavior.  When this code appears in the date format, the normal date will be shown a second time, but in a different calendar system.  The elements of this alternate calendar date will obey the same rules as those of the main part of the format specification, except that the output of the <b>R</b> formatting code is enclosed in parentheses to distinguish it from the regular date.  The examples given under <b>French Revolutionary</b> calendar will make this a little clearer.<br /><br />The alternate calendar to be used for the <b>R</b> code is determined according to the current page language.  When the page language is Hebrew, the <b>Jewish</b> calendar will be used.  When the page language is Arabic, the <b>Hijri</b> calendar will be used.  For all other page languages, the <b>French Revolutionary</b> calendar is used.<br /><br />The action of this code is similar to the choice of calendar format that you can make on the GEDCOM Configuration page.  The difference between the two methods is that the <b>R</b> code, being defined at the Language Configuration level, works only on selected languages but across all GEDCOMs on the site.  The calendar option set at the GEDCOM Configuration level works on all languages but only on the GEDCOMs for which that option has been set.<br /><ul><li><b>French Revolutionary</b> calendar&nbsp;&nbsp;&nbsp;This calendar is also called <b>French Republican</b> calendar.<br /><br />Except for a very brief period in May 1871, this calendar system was only in use in France and only between 22&nbsp;SEP&nbsp;1792 and 31&nbsp;DEC&nbsp;1805.  Accordingly, the French Revolutionary calendar format will only be applicable when the date is within that range.<br /><br />Two example date formats, assuming the page language to be English, will illustrate the action of the <b>R</b> code:<br /><b>Y.m.d&nbsp;R</b> could produce <b>1805.04.26&nbsp;(XIII.08.06)</b> or <b>1806.01.01</b>;&nbsp; <b>j&nbsp;F&nbsp;Y&nbsp;R</b> could produce <b>13&nbsp;October&nbsp;1797&nbsp;(22&nbsp;VendÃ©miaire&nbsp;VI)</b> or <b>1&nbsp;January&nbsp;1806</b>.</li></ul><br /></li><li><b>Language alternatives</b>&nbsp;&nbsp;&nbsp;The abbreviated texts for the Advanced codes <b>D</b> and <b>M</b> are set in the file <i>languages/lang.xx.php</i>, using  statements like <code>\$pgv_lang[\"sunday_1st\"]&nbsp;=&nbsp;\"Su\";</code>&nbsp;&nbsp; and&nbsp;&nbsp; <code>\$pgv_lang[\"apr_1st\"]&nbsp;=&nbsp;\"April\";</code><br /><br />These can be changed by using a <i>languages/extra.xx.php</i> file as described in Wiki and ReadMe text for language adjustments, for example:<br /><code>\$pgv_lang[\"sunday_1st\"]&nbsp;=&nbsp;\"Sun\";<br />\$pgv_lang[\"apr_1st\"]&nbsp;=&nbsp;\"Apr\";</code><br /><br /><br /></li><li><b>Localization</b>&nbsp;&nbsp;&nbsp;Special formatting rules exist for a number of languages, particularly declension of month endings according to how the date is phrased.  These special rules are implemented in the various <i>includes/extras/functions.xx.php</i> files.</li></ul>";
$pgv_lang["time_format"]                = "Format de l'heure";
#pgv_lang["time_format_help"]		= "~#pgv_lang[time_format]#~<br /><br />This field defines the time format to be used by PhpGedView.<br /><br />Symbols you can use are:<br /><b>a</b> - lowercase Ante meridiem and Post meridiem; i.e. <b>am</b> or <b>pm</b><br /><b>A</b> - uppercase Ante meridiem and Post meridiem; i.e. <b>AM</b> or <b>PM</b><br /><b>B</b> - Swatch Internet time; i.e. <b>000</b> through <b>999</b><br /><b>c</b> - ISO 8601 date (added in PHP 5); e.g. <b>2004-02-12T15:19:21+00:00</b><br /><b>d</b> - day of the month, 2 digits, leading zero; i.e. <b>01</b> to <b>31</b><br /><b>D</b> - day, textual, three letters; e.g. <b>Mon</b><br /><b>F</b> - month, textual, long; e.g. <b>January</b><br /><b>g</b> - hour, 12-hour format, no leading zero; i.e. <b>1</b> through <b>12</b><br /><b>G</b> - hour, 24-hour format, no leading zero; i.e. <b>0</b> through <b>23</b><br /><b>h</b> - hour, 12-hour format, leading zero; i.e. <b>01</b> through <b>12</b><br /><b>H</b> - hour, 24-hour format, leading zero; i.e. <b>00</b> through <b>23</b><br /><b>i</b> - minutes, leading zero; i.e. <b>00</b> to <b>59</b><br /><b>I</b> (capital \"i\") - daylight saving time indicator; <b>1</b> if Daylight Saving Time, <b>0</b> otherwise.<br /><b>j</b> - day of the month, no leading zero; i.e. <b>1</b> to <b>31</b><br /><b>l</b> (lowercase \"L\") - day of the week, textual, long; e.g. <b>Friday</b><br /><b>L</b> - leap year indicator; <b>1</b> if it is a leap year, <b>0</b> otherwise.<br /><b>m</b> - month, numeric, leading zero; i.e. <b>01</b> through <b>12</b><br /><b>M</b> - month, textual, 3 letters; e.g. <b>Jan</b><br /><b>n</b> - month, numeric, no leading zero; i.e. <b>1</b> through <b>12</b><br /><b>O</b> (capital \"o\") - difference between local and Greenwich time (GMT) in hours; e.g. <b>+0200</b><br /><b>r</b> - RFC 2822 formatted date; e.g. <b>Thu,&nbsp;21&nbsp;Dec&nbsp;2000nbsp;16:01:07&nbsp;+0200</b><br /><b>s</b> - seconds, leading zero; i.e. <b>00</b> through <b>59</b><br /><b>S</b> - day of the month suffix, English only, 2 characters; i.e. <b>st</b>, <b>nd</b>, <b>rd</b> or <b>th</b>. Works well with <b>j</b><br /><b>t</b> - number of days in the given month; i.e. <b>28</b> through <b>31</b><br /><b>T</b> - time zone setting of this machine; e.g. <b>CEST</b>, <b>EST</b>, <b>MDT</b><br /><b>U</b> - seconds since the start of the Unix Epoch (January&nbsp;1&nbsp;1970&nbsp;00:00:00 GMT)<br /><b>w</b> - day of the week, numeric; i.e. <b>0</b> (for Sunday) through <b>6</b> (for Saturday)<br /><b>W</b> - ISO-8601 week number of year, weeks starting on Monday; e.g. <b>42</b> (the 42nd week in the year)<br /><b>Y</b> - year, 4 digits; e.g. <b>1999</b><br /><b>y</b> - year, 2 digits; e.g. <b>99</b><br /><b>z</b> - day of year, numeric, no leading zeros; i.e. <b>0</b> (1 Jan) through <b>364</b> (31 Dec when not a leap year) or <b>365</b> (31 Dec in leap years)<br /><b>Z</b> - time zone offset in seconds.  The offset for time zones west of Greenwich is always negative, and for those east of Greenwich the offset is always positive. i.e. <b>-43200</b> through <b>43200</b><br /><br />You can change the order of these symbols, and you can add delimiters to the format.<br /><br />For example, in German this field normally contains <b>H:i:s</b> to produce a display like <b>09:01:25</b>. English usually defines the time format as <b>g:i:sa</b> to produce a display like <b>9:01:25am</b>.<br /><br />In the 24-hour system, midnight is 00:00.  In the 12-hour system, midnight is 12:00am and noon is 12:00pm.<br />";
$pgv_lang["week_start"]                 = "Premier jour de la semaine";
$pgv_lang["week_start_help"]            = "Jour de la semaine qui commence une nouvelle semaine dans cette langue. La plupart commencent par le Dimanche, certaines par le Lundi ou un autre jour.";
$pgv_lang["name_reverse"]               = "Nom de famille en tête";
$pgv_lang["name_reverse_help"]          = "Option pour afficher le prénom en arrière, suivant le nom de famille, comme cela se fait dans certaines langues comme l'hongrois, le chinois, et le japonais. Valeur par défaut : afficher le prénom en premier.";
$pgv_lang["ltr"]                        = "De gauche à droite (LTR)";
$pgv_lang["rtl"]                        = "De droite à gauche (RTL)";
$pgv_lang["file_does_not_exist"]        = "Le fichier n'existe pas...";
$pgv_lang["optional_file_not_exist"]    = "Le fichier optionnel n'existe pas...";
$pgv_lang["alphabet_upper"]             = "Alphabet des majuscules";
$pgv_lang["alphabet_upper_help"]        = "Alphabet des majuscules dans cette langue. Utilisé pour le tri des noms en majuscules.";
$pgv_lang["alphabet_lower"]             = "Alphabet des minuscules";
$pgv_lang["alphabet_lower_help"]        = "Alphabet des minuscules dans cette langue. Utilisé pour le tri des noms en minuscules.";
$pgv_lang["multi_letter_alphabet"]      = "Alphabet multi-lettres";
#pgv_lang["multi_letter_alphabet_help"] = "~#pgv_lang[multi_letter_alphabet]#~<br /><br />Multi-letter combinations that are to be treated as a single distinct letter when sorting lists of names and titles in this language.<br /><br />Some languages, Hungarian and Slovak for example, consider certain combinations of letters to be distinct letters in their own right.  The order in which you specify these letter combinations determines the order in which they are inserted into the normal alphabet during sorting.  This is important when several multi-letter combinations have the same first letter.  Except for <b>ch</b>, these letter combinations are inserted into the normal alphabet according to their first letter.  <b>ch</b> is always inserted after <b>h</b>.<br />";
$pgv_lang["dictionary_sort"]            = "Tri dans l'ordre du dictionnaire";
#pgv_lang["dictionary_sort_help"]       = "~#pgv_lang[dictionary_sort]#~<br /><br />This option controls how characters with diacritic marks are handled when sorting lists of names and titles.<br /><br />When set to <b>#pgv_lang[yes]#</b>, all characters with diacritic marks are treated as if they did not have any marks.  Diacritic marks are considered only when the two words being considered are otherwise identical.  When set to <b>#pgv_lang[no]#</b>, all letters are distinct, regardless of the presence or absence of diacritic marks.<br />";
$pgv_lang["lang_config_write_error"]    = "Erreur d'écriture du fichier [language_settings.php]. Vérifier les droits d'accès et réessayer.";
$pgv_lang["translation_forum"]          = "Forum traduction";
$pgv_lang["translation_forum_help"]     = "Lien direct au forum des traductions de PhpGedView sur le serveur SourceForge où vous pourrez parler des problèmes spécifiques de traduction <tt>http://sourceforge.net/forum/forum.php?forum_id=294245</tt>";
#pgv_lang["translation_forum_desc"]     = "This <a href=\"http://sourceforge.net/forum/forum.php?forum_id=294245\" target=\"_blank\"><b>link</b></a> opens a new browser window.  You will be redirected to the Translations forum of PhpGedView, where you can discuss translation topics.";
$pgv_lang["lang_set_file_read_error"]   = "Erreur de lecture du fichier [language_settings.php]!";
$pgv_lang["add_new_language_help"]      = "Utilitaire pour ajouter une nouvelle langue à PhpGedView.<br /><br />Merci de remplir tous les champs nécessaires dans la fenêtre suivante. Après la création des fichiers, vous serez en mesure de modifier les messages pour cette nouvelle langue.";
#pgv_lang["add_new_language_desc"]      = "This routine lets you add a new, previously unavailable and completely unsupported language to PhpGedView.<br /><br />You can set up the standard settings of the new language.  These include language detection code, language direction, start of the week for this language, time settings, alphabet, etc.<br /><br />You will get more help on the settings of languages supported by PhpGedView after selecting the language and clicking the <b>#pgv_lang[add_new_lang_button]#</b> button.<br /><br />More help is available on the Configuration page for the language.<br />";
$pgv_lang["add_new_lang_button"]        = "Ajouter une nouvelle langue";
$pgv_lang["hide_translated"]            = "Cacher les traductions";
#pgv_lang["hide_translated_help"]       = "~#pgv_lang[hide_translated]#~<br /><br />If set to <b>Yes</b> you will only see those messages of your selected language file which have not been translated.  This means the new message does <u>not</u> appear in the target language file.<br /><br />Some language files contain English text for various untranslated messages.  This routine cannot identify these untranslated items, since they already are present in the target file.  The assumption is, \"If the message is present in the target file, it must have been translated.\"<br />";
$pgv_lang["lang_file_write_error"]      = "ERREUR !!!<br /><br />Impossible d'écrire dans le ficher de la langue!<br />Vérifier les droits d'accès du fichier (#lang_filename#)";
$pgv_lang["no_open"]                    = "E R R E U R !!!<br /><br />Impossible d'ouvrir le fichier #lang_filename#";
$pgv_lang["users_langs"]                = "Langues des utilisateurs";
$pgv_lang["configured_languages"]       = "Langues activées";

//-- User Migration Tool messages
$pgv_lang["um_header"]                  = "Exporter les comptes utilisateurs pour passage mode Index <-> mode SQL";
$pgv_lang["um_proceed"]                 = "Lancer l'export des comptes utilisateurs ?<br /><br />";
$pgv_lang["um_creating"]                = "Création";
#pgv_lang["um_sql_index"]               = "This tool will create <i>authenticate.php</i> and several <i>.dat</i> files in your index directory.<br /><br />After successful creation, you can switch to Index mode with all current users and their messages, favorites, news, and MyGedview layout available.<br /><br />Note: After switching to Index mode, you will need to import your GEDCOM files again.<br />";
$pgv_lang["um_file_create_fail1"]       = "Un fichier portant le même nom existe déjà :";
$pgv_lang["um_file_create_fail2"]       = "Création impossible";
$pgv_lang["um_file_create_fail3"]       = "Vérifier les droits d'écriture du répertoire.";
$pgv_lang["um_file_create_succ1"]       = "Création réussie :";
$pgv_lang["um_file_not_created"]        = "Echec à la création du fichier";
$pgv_lang["um_nomsg"]                   = "Aucun message trouvé.";
$pgv_lang["um_nofav"]                   = "Aucun favori trouvé.";
$pgv_lang["um_nonews"]                  = "Aucune nouvelle trouvée.";
$pgv_lang["um_noblocks"]                = "Aucun bloc trouvé.";
#pgv_lang["um_index_sql"]               = "This tool will import <i>authenticate.php</i> and other <i>.dat</i> files from your index directory into your database.<br />";
#pgv_lang["um_noaction"]                = "No action is required to migrate user information to SQL mode.<br /><br />Once switched to SQL mode, you need to restart the User Migration tool to import all data into the SQL database.  PhpGedView will use existing files from Index mode.<br /><br /><b>Do <u>not</u> remove <i>authenticate.php</i> and <i>.dat</i> files from your index directory while switching.</b><br />";
$pgv_lang["um_import"]                  = "Import";
$pgv_lang["um_export"]                  = "Export";
#pgv_lang["um_explain"]                 = "This tool will either export user data from SQL to Index mode, or import user data from Index files into SQL tables.<br /><br />User data, favorites, block definitions, messages, and news will be available again after migration.<br /><br /><b>CAUTION</b><br />You cannot use this tool to migrate user data between different versions of PhpGedView. Be sure that the data originates from, or is imported into the same PhpGedView version.<br /><br /><b>IMPORT</b><br />If you choose to import the user data files from Index mode, all user data present in the database tables will be <u>overwritten</u>. This tool does <u>not</u> merge the information. Once you have run the Import, there is no way to retrieve the old information using PhpGedView.<br /><br /><b>EXPORT</b><br />If you export the user information from your SQL database to Index Mode files, this tool will create <i>authenticate.php</i> and several <i>.dat</i> files in your index directory. If identically named files are already present, you will be prompted if they must be overwritten. After switching to Index mode, all information will be available directly.<br /><br /><b>Note:</b> After switching to Index mode, you will need to import your GEDCOM files again.<br />";
$pgv_lang["um_tool_help"]               = "~#pgv_lang[um_header]#~<br /><br />#pgv_lang[um_explain]#";
#pgv_lang["um_sql_index_help"]          = "~Migrate users from SQL to Index mode~<br /><br />#pgv_lang[um_sql_index]#";
#pgv_lang["um_index_sql_help"]          = "~Migrate users from Index to SQL mode~<br /><br />#pgv_lang[um_index_sql]#";
$pgv_lang["um_imp_users"]               = "Import des utilisateurs";
$pgv_lang["um_imp_blocks"]              = "Import des blocs";
$pgv_lang["um_imp_favorites"]           = "Import des favoris";
$pgv_lang["um_imp_messages"]            = "Import des messages";
$pgv_lang["um_imp_news"]                = "Import des nouveautés";
$pgv_lang["um_nousers"]                 = "Fichier <i>authenticate.php</i> non trouvé. Opération annulée.";
$pgv_lang["um_imp_succ"]                = "Import réussi";
$pgv_lang["um_imp_fail"]                = "Echec de l'import !!!";
$pgv_lang["um_backup"]                  = "Sauvegarde";
$pgv_lang["um_zip_succ"]                = "Fichier ZIP créé.";
$pgv_lang["um_zip_dl"]                  = "Télécharger le fichier de sauvegarde ZIP ";
$pgv_lang["um_bu_explain"]              = "Avec cet outil, sauvegardez vos données PhpGedView dans un fichier ZIP que vous pourrez ensuite télécharger.";
$pgv_lang["um_bu_help"]                 = "~#pgv_lang[um_backup]#~<br /><br />#pgv_lang[um_bu_explain]#";
$pgv_lang["um_bu_config"]               = "Fichier de configuration PhpGedView";
$pgv_lang["um_bu_gedcoms"]              = "Fichiers GEDCOM";
$pgv_lang["um_bu_gedsets"]              = "Fichiers de configuration";
$pgv_lang["um_bu_logs"]                 = "Journaux et compteurs";
$pgv_lang["um_bu_usinfo"]               = "Blocs, favoris, messages";
$pgv_lang["um_bu_media"]                = "Fichiers MultiMédia";
$pgv_lang["um_mk_bu"]                   = "Lancer la sauvegarde";
$pgv_lang["um_nofiles"]                 = "Aucun fichier à sauvegarder.";
$pgv_lang["um_files_exist"]             = "Un fichier existe déjà. Voulez-vous l'écraser ?";
$pgv_lang["um_results"]                 = "Resultats";
$pgv_lang["preview_faq_item"]           = "Prévisualiser FAQ";
#pgv_lang["preview_faq_item_help"]      = "~#pgv_lang[preview_faq_item]#~<br />This option lets an admin user view the FAQ page without all the editing options and links.<br /><br />Except for a single <b>Edit</b> link above the first FAQ item, the appearance of the FAQ page will be identical to what an ordinary user would see. This special <b>Edit</b> link will restore full Edit functionality to the FAQ page.<br />";
#pgv_lang["restore_faq_edits"]          = "Restore FAQ edit functionality";
#pgv_lang["restore_faq_edits_help"]     = "~#pgv_lang[restore_faq_edits]#~<br />This option restores the FAQ page to what an admin user normally sees, so that individual FAQ items may be edited.<br />";
$pgv_lang["add_faq_item"]               = "Ajouter FAQ";
#pgv_lang["add_faq_item_help"]          = "~#pgv_lang[add_faq_item]#~<br />This option will let you add an item to the FAQ page.<br />";
$pgv_lang["edit_faq_item"]              = "Editer FAQ";
#pgv_lang["edit_faq_item_help"]         = "~#pgv_lang[edit_faq_item]#~<br />This option will let you edit an item on the FAQ page.<br />";
$pgv_lang["delete_faq_item"]            = "Supprimer FAQ";
#pgv_lang["delete_faq_item_help"]       = "~#pgv_lang[delete_faq_item]#~<br />This option will let you delete an item from the FAQ page<br />";
$pgv_lang["moveup_faq_item"]            = "Déplacer FAQ vers le haut";
#pgv_lang["moveup_faq_item_help"]       = "~#pgv_lang[moveup_faq_item]#~<br />This option will let you move an item upwards on the FAQ page.<br /><br />Each time you use this option, the FAQ Position number of this item is reduced by one.  You can achieve the same effect by editing the item in question and changing the FAQ Position field.  When more than one FAQ item has the same position number, only one of these items will be visible.<br />";
$pgv_lang["movedown_faq_item"]          = "Déplacer FAQ vers le bas";
#pgv_lang["movedown_faq_item_help"]     = "~#pgv_lang[movedown_faq_item]#~<br />This option will let you move an item downwards on the FAQ page.<br /><br />Each time you use this option, the FAQ Position number of this item is increased by one.  You can achieve the same effect by editing the item in question and changing the FAQ Position field.  When more than one FAQ item has the same position number, only one of these items will be visible.<br />";
#pgv_lang["add_faq_header_help"]        = "~#pgv_lang[add_faq_header]#~<br />This is the title or subject of the FAQ item.<br /><br />What you enter here can be formatted. HTML tags such as &lt;b&gt; and &lt;br&gt; are allowed, as are HTML entities such as &amp;amp; and &amp;nbsp;.  There is no way to enter HTML tags so that they will be interpreted as text.<br /><br />#pgv_lang[add_faq_pgvLangRefs]#<br />";
#pgv_lang["add_faq_body_help"]          = "~#pgv_lang[add_faq_body]#~<br />The text of the FAQ item is entered here.<br /><br />The text can be formatted. HTML tags such as &lt;b&gt; and &lt;br&gt; are allowed, as are HTML entities such as &amp;amp; and &amp;nbsp;.  There is no way to enter HTML tags so that they will be interpreted as text.<br /><br />#pgv_lang[add_faq_pgvLangRefs]#<br />";
#pgv_lang["add_faq_pgvLangRefs"] = "You can insert references to entries in the language files or to values of global variables.  Examples: <ul><li><b>&#x23;pgv_lang[add_to_cart]&#x23;</b>&nbsp;&nbsp;&nbsp;is a reference to the language variable \$pgv_lang[\"add_to_cart\"], and if it were to appear in this field, would show as <b>#pgv_lang[add_to_cart]#</b> when the FAQ list is viewed in the current language.</li><li><b>&#x23;factarray[AFN]&#x23;</b>&nbsp;&nbsp;&nbsp;is a reference to the Fact name \$factarray[\"AFN\"], and if it were to appear in this field, would show as <b>#factarray[AFN]#</b> when the FAQ list is viewed in the current language. </li><li><b>&#x23;GLOBALS[VERSION]&#x23;&nbsp;&#x23;GLOBALS[VERSION_RELEASE]&#x23;</b>&nbsp;&nbsp;&nbsp;is a reference to the global variable \$VERSION, a space, and a reference to the global variable \$VERSION_RELEASE, and if they were to appear in this field, would show as <b>#GLOBALS[VERSION]#&nbsp;#GLOBALS[VERSION_RELEASE]#</b> when the FAQ list is viewed in the current language.</li><li><b>&#x23;GLOBALS[GEDCOM]&#x23</b>&nbsp;&nbsp;&nbsp;is a reference to the global variable \$GEDCOM, which is the name of the current GEDCOM file.  If it were to appear in this field, it would show as <b>#GLOBALS[GEDCOM]#</b>.</li><li><b>&#x23;GLOBALS[GEDCOM_TITLE]&#x23</b>&nbsp;&nbsp;&nbsp;is a reference to the global variable \$GEDCOM_TITLE, which is the title of the current GEDCOM file.  If it were to appear in this field, it would show as <b>#GLOBALS[GEDCOM_TITLE]#</b>.</li></ul><br />This feature is useful when you wish to create FAQ lists that are different for each language your site supports.  You should put your customized FAQ list titles and entries into the <i>languages/extra.xx.php</i> files (<i>xx</i> is the code for each language), using the following format:<br />\$pgv_lang[\"faq_title1\"] = \"This is a sample FAQ title\";<br />\$pgv_lang[\"faq_body1\"] = \"This is a sample FAQ body.\";<br />";
#pgv_lang["add_faq_order_help"]         = "~#pgv_lang[add_faq_order]#~<br />This field controls the order in which the FAQ items are displayed.<br /><br />You do not have to enter the numbers sequentially.  If you leave holes in the numbering scheme, you can insert other items later.  For example, if you use the numbers 1, 6, 11, 16, you can later insert items with the missing sequence numbers.  Negative numbers and zero are allowed, and can be used to insert items in front of the first one.<br /><br />When more than one FAQ item has the same position number, only one of these items will be visible.<br />";
#pgv_lang["add_faq_visibility_help"]    = "~#pgv_lang[add_faq_visibility]#~<br />You can determine whether this FAQ will be visible regardless of GEDCOM, or whether it will be visible only to the current GEDCOM.<br /><ul><li><b>#pgv_lang[all]#</b>&nbsp;&nbsp;&nbsp;The FAQ will appear in all FAQ lists, regardless of GEDCOM.</li><li><b>#GLOBALS[GEDCOM]#</b>&nbsp;&nbsp;&nbsp;The FAQ will appear only in the currently active GEDCOM's FAQ list.</li></ul><br />";
#pgv_lang["index_gedcom_news_adm_help"] = "The GEDCOM News text allows the use of <b>HTML tags</b> and <b>HTML entities</b>.  HTML should not be used in News titles.<br /><br />Be sure to always use both start and end tags.  It may help to have an understanding of HTML appropriate for a web site administrator. This program uses <b>Cascading Style Sheets (CSS)</b> as well. A different CSS is implemented for each theme.  You can use classes from these style sheets to control the appearance of your messages.<br /><br />If you need more help with this, the PhpGedView web site has some examples of how to use these tags in your GEDCOM News block.<br /><br />As with the FAQ list, GEDCOM News titles and News text allow embedded references to \$pgv_lang, \$factarray, and \$GLOBALS variables to provide complete flexibility in the creation of News items that are sensitive to the currently active language.<br /><br />The following description, taken from the Help text for the FAQ list, is equally applicable to GEDCOM News items.<br /><br />#pgv_lang[add_faq_pgvLangRefs]#<br /><br />";
#pgv_lang["time_limit_help"]            = "~#pgv_lang[time_limit]#~<br /><br />The maximum time the import is allowed to run for processing the GEDCOM file.";

// Media items
#pgv_lang["media_import_help"]          = "~#pgv_lang[media_import]#~<br />This import will convert the multimedia links in your GEDCOM file to multimedia records. For example, the following media entry will be changed from:<blockquote><code>1 OBJE<br />2 FORM jpg<br />2 FILE media/grandma.jpg<br />2 TITL Picture of grandma</code></blockquote>to:<blockquote><code>0 @M1@ OBJE<br />1 FORM jpg<br />1 FILE media/grandma.jpg<br />1 TITL Picture of grandma</code></blockquote>The new multimedia record will be stored separately in the database. Links to external multimedia files will be changed to references to the new multimedia record, which will in turn contain a reference to the external file. For example, the following GEDCOM record will be changed from:<blockquote><code>0 @I1@ INDI<br />1 NAME Your/Name/<br />1 OBJE<br />2 FORM jpg<br />2 FILE media/grandma.jpg<br />2 TITL Picture of grandma</code></blockquote>to:<blockquote><code>0 @I1@ INDI<br />1 NAME Your/Name/<br />1 OBJE @M1@<br /></code></blockquote>The advantage of using multimedia records is that you can easily administer your media. When you change the title of a multimedia record, it is changed for all GEDCOM records that link to this multimedia record. Several people,families, or sources can be linked to the same multimedia record.";

// editconfig_gedcom.php Option Filter
#pgv_lang["ged_filter_results"]         = "Results found";
#pgv_lang["ged_filter_reset"]           = "Clear Search";
#pgv_lang["ged_filter_description"]     = "Search option text";
#pgv_lang["ged_filter_description_help"]= "~#pgv_lang[ged_filter_description]#~<br />This option lets you search the text associated with configuration options.<br /><br />As you type letters, the search will find all configuration options that contain that letter sequence.  The search becomes more precise as you type more letters.<br />";

?>
